******  Release of sane-backends 1.0.8. End of code freeze ******

2002-05-27  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/plustek-usbscan.c: Critical bugfix to avoid bumping the
	  scan slider at the end of the scan. Commited on behalf of 
	  g-jaeger@t-online.de (G. Jaeger).

2002-05-26  Karl Heinz Kremer <khk@khk.net>

	* doc/descriptions/epson.desc
	  doc/sane-epson.man
	  backend/epson.conf: Updated man page, added one more
	  comment to the conf file and adjusted the version in
	  the desc file.

2002-05-26  Frank Zago  <fzago@austin.rr.com>

	* doc/descriptions-external/teco2.desc
	  doc/descriptions-external/teco3.desc: new backends descriptions.
	* AUTHORS: changed my email address
	* doc/descriptions/teco1.desc: added the mising connection type
	  for the vm3520

2002-05-26  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/Makefile.in: Added workaround for GNU make 3.79. This version
	  of make insisted on at least one argument for "basename" which broke
	  compilation.
	* doc/descriptions/leo.desc doc/descriptions/teco1.desc: Changed
	  status to ":new" for release.
	* doc/descriptions/umax1220u.desc: Changed status from :new to :alpha
	  as the baceknd was already in SANE 1.0.7.
		
2002-05-25  Andras Major <andras@users.sourceforge.net>

	* doc/descriptions/coolscan2.desc: changed status to :new.

2002-05-25  Matthew Duggan <stauff1@users.sourceforge.net>

	* doc/descriptions/canon_pp.desc: Changed status to :new.

2002-05-25  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* AUTHORS backend/microtek2.c doc/sane-microtek2.man
	  doc/descriptions/microtek2.desc: Updated Karsten Festag's email
	  address and website.
	* NEWS: Added OPENSTEP to the list of portability fixes.
	* doc/descriptions/test.desc: Changed status to :new.
	* configure configure.in: Set version to 1.0.8. Disabled warnings
	  by default.

2002-05-23 Oliver Rauch <Oliver.Rauch@rauch-domain.de>

	* doc/umax/sane-umax-powerlook-doc.html
	* doc/descriptions/umax.desc update

---- CODE FREEZE FOR SANE 1.0.8 ---
--- snapshot 1.0.8-pre1

2002-05-22  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* sanei/sanei_scsi.c: Fixed sanei_scsi_cmd2() for OPENSTEP (from 
	  Oliver Schirrmeister <oschirr@abm.de>).

2002-05-21  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/Makefile.in (install): Make it possible to install when
	  building in a subdirectory.

2002-05-14  Oliver Schwartz <Oliver.Schwartz@gmx.de>

	* backend/snapscan.conf: Added additional USB IDs for Acer 320U and 
	  Acer 620U

2002-05-09  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* configure configure.in frontend/scanimage.c
	  include/sane/config.h.in: Fixed 16 bit pnm output. The byte-order
	  was wrong for little-endian systems. Based on code from Roland
	  Roberts <roland@astrofoto.org>.
	* NEWS: Minor updates.
	* TODO: Removed entry about 16 bit scanimage problem. Added entry about
	  scanimage and width/height ranges.

2002-05-07  Frank Zago  <fzago@greshamstorage.com>

	* doc/descriptions-external/tevion9693usb.desc: new backend,
	  from mh <crapsite@gmx.net>.

2002-05-06  Andras Major <andras@users.sourceforge.net>

	* doc/sane.man: coolscan2 entry updated.
	* doc/sane-usb.man: added coolscan2 to sanei_usb users' list.

2002-05-05  Frank Zago  <fzago@greshamstorage.com>

	* backend/umax-usb.c backend/teco1.c backend/matsushita.c
	backend/matsushita.h backend/leo.c backend/sceptre.c: minor fixes.

2002-05-05  Andras Major <andras@users.sourceforge.net>

	* backend/coolscan2.c: version number replaces "CVS"
	* doc/coolscan2.man doc/descriptions/coolscan2.desc: added
	  man page for coolscan2.

2002-05-05  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/test.c doc/descriptions/test.desc: Check return value
	  of waitpid. Don't evaluate status of children if waitpid wasn't
	  successful.
	* backend/mustek.c doc/descriptions/mustek.desc: Check return value
	  of waitpid. Don't evaluate status of children if waitpid wasn't
	  successful.
	* TODO doc/backend-writing.txt: Add an entry about the return value
	  of wait/waitpid.

---- FEATURE FREEZE FOR SANE 1.0.8 ---

2002-05-02  Oliver Schwartz <Oliver.Schwartz@gmx.de>

	* doc/description/snapscan.desc: Fix URL

2002-05-02  Oliver Schwartz <Oliver.Schwartz@gmx.de>

	* backend/snapscan.c   backend/snapscan-options.c
	  backend/snapscan-scsi.c backend/snapscan-usb.c po/snapscan.de.po: 
	  Snapscan backend version 1.4.13
	  - Support for ADF
	  - Fixed status handling after cancel
	* doc/description/snapscan.desc: 
	  - Add Guillemot Scan@home 1248 USB
	  - Fix vendor URLs

2002-04-21 Oliver Rauch <Oliver.Rauch@rauch-domain.de>

	* sane-umax: updated umax.CHANGES

2002-04-30  Jochen Eisinger <jochen.eisinger@gmx.de>

	* doc/saned.man doc/sane-net.man doc/descriptions/net.desc:
	  Updated URL of the sane-net homepage to
	  http://www.penguin-breeder.org/?page=sane-net

	* doc/sane-mustek_pp.man doc/descriptions/mustek_pp.desc:
	  Updated URL of the mustek_pp homepage to
	  http://www.penguin-breeder.org/?page=mustek_pp

	* TODO:
	  Added entry to saned section:
     	  - Add support for IP ranges in saned.conf (like 10.0.0.0/8)
	  
2002-04-28  Frank Zago <fzago@greshamstorage.com>

	* tools/Makefile.in tools/sane-find-scanner.c: bug fixes, better
	  error reporting and display the inquiry in verbose mode.

2002-04-29  Kazuya Fukuda <kaafuu@mug.biglobe.ne.jp>
	* backend/nec.c: fixed a compile problem for Dec Unix v4
          and probably other 64 bit platform. 
	* AUTHORS:  Update email address for Kazuya Fukuda

2002-04-27  Oliver Schwartz <Oliver.Schwartz@gmx.de>

	* backend/snapscan.c   backend/snapscan.h   backend/snapscan-options.c
	  backend/snapscan-scsi.c backend/snapscan-usb.c po/snapscan.de.po: 
	  Snapscan backend version 1.4.12
	  - Removed SCSI debug options
	  - Fixed option handling (errors found by tstbackend)

2002-04-27  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* frontend/scanimage.c: Fixed scanimage SANE_CAP_AUTOMATIC bug 
	  (from David Paschal <paschal@rcsis.com>).

2002-04-26  Peter Fales <peter@fales-lorenz.net>

	* backend/dc240.c backend/gphoto2.c:  Various minor bug fixes for
	  problems found by tstbackend.  Fix a core dump when debugging
	  is enabled.

2002-04-26  Jochen Eisinger <jochen.eisinger@gmx.de>

	* backend/mustek_pp.c: fixed a typo, thanks to Henning for
	  pointing this one out to me

2002-04-26  Andras Major <andras@users.sourceforge.net>

	* backend/coolscan2.c doc/descriptions/coolscan2.desc:
	  update to release 0.1.5, various saned-related problems fixed.

2002-04-25  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* TODO: Updated backend list. Added entry for sanei_scsi/Mac OS X.

2002-04-24  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/mustek.c backend/mustek.h doc/descriptions/mustek.desc
	  doc/mustek/mustek.CHANGES: Print usefull DBG messages for options
	  without a name. Undef MIN and MAX macros before defining them.
	* backend/mustek_usb.c backend/mustek_usb_low.h
	  doc/descriptions/mustek_usb.desc doc/mustek_usb/mustek_usb.CHANGES:
	  Free devlist on exit. Undef MIN and MAX macros before defining them.
	* backend/Makefile.in frontend/Makefile.in: Added missing files to
	  DISTFILES.
	* config.guess: Updated from ftp.gnu.org.

2002-04-24  Oliver Schwartz <Oliver.Schwartz@gmx.de>

	* backend/snapscan.c   backend/snapscan.h   backend/snapscan-options.c
          backend/snapscan-scsi.c: Snapscan backend version 1.4.11
          - Improve scan area option setting
          - Cleanup of DBG messages
          - Improve config file reading

---- BACKEND FREEZE FOR SANE 1.0.8 ---

2002-04-23  Frank Zago <fzago@greshamstorage.com>

	* backend/coolscan2.c: Fixed the version reporting problem.
	* backend/dll.conf: added coolscan2 entry.

2002-04-23  Peter Fales <peter@fales-lorenz.net>

	* backend/dc240.c backend/gphoto2.c:  Various minor bug fixes for
	  problems found by tstbackend
	* AUTHORS:  Upate email address for Peter Fales 

2002-04-22  Frank Zago <fzago@greshamstorage.com>

	* AUTHORS PROJECTS backend/Makefile.in backend/coolscan2.c
	  backend/coolscan2.conf doc/descriptions/coolscan2.conf
	  doc/sane.man: added coolscan2 backend

2002-04-22  Abel Deuring <a.deuring@satzbau.gmbh.de>
	* backend/sharp.c: fixed a compile problem for Dec Unix v4
          and probably other 64 bit platform.

2002-04-22  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* doc/backend-writing.txt: More details for the exported symbols
	  issue. Used test.c instead of pnm.c as example. Fixed paths for
	  .desc files.
	* doc/sane.man: Added paragraph about testing with the test backend.
	* TODO: Removed several avision bug entries.
	* NEWS: First version of entry for 1.0.8.

2002-04-21  Frank Zago <fzago@greshamstorage.com>

	* backend/teco1.c doc/descriptions/teco1.desc: updates.

2002-04-21  Frank Zago <fzago@greshamstorage.com>

	* backend/sceptre.c doc/descriptions/sceptre.desc: updates.

2002-04-21  Frank Zago <fzago@greshamstorage.com>

	* AUTHORS PROJECT backend/Makefile.in backend/leo.c backend/leo.h
	  backend/leo.conf doc/sane.man doc/sane-leo.man
	  doc/descriptions/leo.desc doc/Makefile.in: added leo backend

2002-04-22  Rene Rebe <rene.rebe@gmx.net>

	* backend/avision.c next backend version, several new scsi id's,
	  and bug fixes

2002-04-22 Karl Heinz Kremer <khk@khk.net>

	* backend/epson.c: Declare close_scanner() and open_scanner() before
	  they are used

2002-04-21 Oliver Rauch <Oliver.Rauch@rauch-domain.de>

	* sane-umax backend update to version 1.0 build 34

2002-04-21  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/test.c doc/descriptions/test.desc: Check if sane_init was
	  called before any other SANE function.
	* backend/dll.c doc/descriptions/dll.desc: Don't call sane_exit twice.
	  Call sane_init after sane_exit. Try to load from $LD_LIBRARY_PATH
	  ($SHLIB_PATH, $LIBPATH) first and only check LIBDIR if opening
	  failed. New version: 1.0.6.
	* backend/v4l.c: Fixed some warnings.
	* backend/artec.c: Don't export cap_data.
	* backend/canon.h: Don't export option_name.
	* TODO: Updated entries about compilation warnings for various
	  backends. Removed entries about canon update and dll sane_exit
	  problems.
	* PROJECTS: Removed canon update.

2002-04-21  Abel Deuring <a.deuring@satzbau-gmbh.de>
	* backend/sharp.c: added a "free(devlist)" call to sane_exit

2002-04-21  Abel Deuring <a.deuring@satzbau-gmbh.de>
	* backend/canon-sane.c, backend/canon-scsi.c, backend/canon.c,
	  backend/canon.h, doc/sane-canon.man,
	  doc/descriptions/canon.desc: added support for FB620S and
	  and FS2700, by Mitsuru Okaniwa <m-okaniwa@bea.hi-ho.ne.jp>
	  and Ulrich Deiters <ukd@xenon.pc.Uni-Koeln.DE>

2002-04-19  Frank Zago <fzago@greshamstorage.com> 

	* AUTHORS: fixed typos, formatting and added the tstbackend frontend.
	* frontend/Makefile.in frontend/tstbackend.c: a frontend to test
	  backends
	* doc/backend-writing.txt: added info about tstbackend

2002-04-19  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/test.c doc/descriptions/test.desc: Added missing include.

2002-04-18  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/net.c doc/descriptions/net.desc: Fixed bug in sane_read that
	  cause garbled data to be sent to the frontend. Fixed some long lines.

2002-04-18  Marian Eichholz <eichholz@computer.org>
	* backend/sm3600.c : compiles without warnings now.
	* backend/sm3600.h : FakeCalibration prototype conditionalised, too.

2002-04-17  Frank Zago <fzago@greshamstorage.com>

	* TODO: changed Relisys Scorpio Super 3 contact info.

2002-04-17  Marian Eichholz <eichholz@computer.org>
	* doc/descriptions/sm3600.desc : specific models listed
	* doc/sane-sm3600.man : warning for libusb-versions.
	* backend/sm3600-homerun.c : FakeCalibration() conditionalised.
	* backend/sm3600.c : Improved portability, less warnings

2002-04-17  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/fujitsu-scsi.h backend/fujitsu.c backend/fujitsu.conf
	  backend/fujitsu.h doc/sane-fujitsu.man 
	  doc/descriptions/fujitsu.desc: Added new fujitsu backend (from
	  Oliver Schirrmeister <oschirr@abm.de>). This backend supersedes the
	  m3096g backend and also includes the m3091 backend.
	* backend/m3096g.c backend/m3096g.h backend/m3096g.conf
	  backend/m3096g-scsi.h: Removed, support is now in fujitsu-backend.
	* backend/Makefile.in backend/dll.conf: Adjusted for new fujitsu
	  backend.
	* doc/sane-sp15c.c: Added new manpage for sp15c. Extracted from the old
	  sane-fujitsu manpage.
	* doc/.cvsignore doc/Makefile.in doc/sane.man: Adjusted for fujitsu
	  and sp15c manpages.
	* AUTHORS: Updated for fujitsu backend.
	* doc/descriptions-external/m3091.desc doc/descriptions/m3096g.desc:
	  Removed, now in doc/descriptions/fujitsu.desc.
	* PROJECTS: Removed m3091 project.
	* TODO: Added coolscan2 backend, bh and coolscan warnings, scanimage
	  16 bit problem. Removed fujitsu m391 entries, sm3600 non-static
	  symbol, plustek-backend OS/2 problem.

2002-04-15  Marian Eichholz <eichholz@computer.org>
	* sm3600 imported from sm3600.sf.net
	  featuring infrastructure for various models and the (new) SM 3750i.
	  backend/sm3600.h
	  backend/sm3600.c
	  backend/sm3600-color.c
	  backend/sm3600-homerun.c
	  backend/sm3600-scantool.h
	  backend/sm3600-scanutil.c
	  backend/sm3600-gray.c
	  backend/sm3600-scanmtek.c
	  backend/sm3600-scanusb.c
	  doc/sane-sm3600.man

2002-04-15  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* doc/descriptions/mustek_usb.desc: Commented out 1200 USB as it is not
	  really supported yet.

2002-04-14  Gerhard Jaeger <gerhard@gjaeger.de>

	* backend/plustek.[ch], backend/plustek-usbhw.c, backend/plustek-usbio.c,
	  backend/plustek-usbscan.c, backend/plustek-usbshading.c 
	  backend/plustek-usb.c, backend/plustek-devs.c backend/plustek-usb.h
	  backend/plustek-share.h: Code cleanup, fixed OS/2 compilation breakage
	  fixed problem that causes non LM983x based devices to crash, minor fixes
	  added CANON N650U device structure

2002-04-13  Karl Heinz Kremer <khk@khk.net>

	* backend/epson.[ch]: Added new product IDs for Perfection 1650 and
	  2450. Check if scanner needs to be opened for the reset() call.

2002-04-13  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/canon630u-common.c: Added #include <sys/types.h> to
	  fix compilation on OS/2.
	* sanei/sanei_scsi.c: Use O_NONBLOCK when opening an sg device under
	  Linux. Return SANE_STATUS_DEVICE_BUSY if EBUSY. Check for buffer==0
	  for OS/2.
	* doc/sane-scsi.man: Added more information about NCR/Symbios 810 and
	  Tekram DC315 controllers under Linux.
	* backend/Makefile.in backend/test.c backend/test.conf backend/test.h
	  backend/test-picture.c: Added new test backend.
	* doc/Makefile.in: Added sane-test man page. Added teco doc directory.
	* doc/sane.man doc/sane-test.man doc/.cvsignore: Added sane-test
	  manual page.
	* doc/descriptions-external/test.desc doc/descriptions/test.desc:
	  Moved test.desc to doc/descriptions and updated this file.
	* PROJECTS: Removed test backend.
	* AUTHORS: Added myself for test backend.
	* TODO: Added entries about SANE_CAP_ADVANCED in groups, a wip marker
	  for sorted sane-backends.html, and saneopts.??.po problem.
	  Removed backends from list of inclusion beacuse of lack of response:
	  v4l2, lhii, viceo (they stay in PROJECTS). Removed snapscan from
	  exported symbols bug list. Updated doxygen list. 

2002-04-12  Frank Zago <fzago@greshamstorage.com>

	* doc/descriptions-external/leo.desc PROJECTS: Added leo backend
	  info.

2002-04-12  Matthew Duggan <stauff1@users.sourceforge.net>
	
	* backend/canon_pp-io.c: Updated for new libieee1284 interface 
	  (version 0.1.5)
	* acinclude.m4 aclocal.m4 configure configure.in: 
	  Added check for libieee1284 > 0.1.5

2002-04-08  Rene Rebe <rene.rebe@gmx.net>

        * backend/avision.h backend/avision.c backend/avision.conf: bug-
	  fixes

2002-04-11  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* include/sane/sanei_pa4s2.h include/sane/sanei_scsi.h: Added/adjusted
	  documentation for doxygen.

2002-04-11  Stéphane Voltz  <svoltz@wanadoo.fr>

	* backend/umax_pp_low.c:  fixed 8 bits I/O support

2002-04-10  Oliver Schwartz <oliver.schwartz@gmx.de>
 
	* backend/snapscan-scsi.c
          Removed illegal character
        * backend/snapscan-usb.h
          Removed declaration of bqelements

2002-04-10  Oliver Schwartz <oliver.schwartz@gmx.de>
 
	* backend/snapscan-usb.c
          make bqelements static
        * backend/snapscan-scsi.c
          disable send_diagnostic() for SnapScan 1236

2002-04-10  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/mustek_usb.c doc/descriptions/mustek_usb.desc
	  doc/mustek_usb/mustek_usb.CHANGES: Cleanup in sane_control_option,
	  sane_set_io_mode, sane_get_select_fd and sane_exit. New version:
	  1.0-13.
	* backend/mustek_usb.c backend/mustek_usb_high.c
	  backend/mustek_usb_high.h backend/mustek_usb_low.c
	  backend/mustek_usb_low.h backend/mustek_usb_mid.c
	  backend/mustek_usb_mid.h: Fixed coding-style.
	* backend/pnm.c doc/descriptins/pnm.desc: sane_set_io_mode
	  checks for !non_blocking and scanning now. Fixed coding-style.
	  New version: 1.0.8.
	* TODO: Added dll init/exit problem. Added non-static symbol problem.
	  Added info about missing definition of 1-bit modes in sane.tex.
	  Added entry about sane-find-scanner searching directories.
	* backend/mustek.c backend/mustek.h doc/desacriptions/mustek.desc
	  doc/mustek/mustek.CHANGES: Set freed variables to 0 in sane_exit.
	  Fixed coding style. New version: 1.0-121.

2002-04-09  Petter Reinholdtsen <pere@td.org.uit.no>

	* sanei/sanei_pv8630.c (sanei_pv8630_bulkwrite): Avoid warning on
	  Solaris. Correct type of second argument to sanei_usb_write_bulk()
	  from (char*) to (SANE_Byte*).

2002-04-08  Frank Zago <fzago@greshamstorage.com>

	* backend/teco1.c backend/teco1.conf backend/teco1.h
	doc/sane-teco1.man doc/descriptions/teco1.desc doc/teco/teco1.txt
	doc/.cvsignore doc/Makefile.in doc/sane.man po/Makefile.in
	po/teco1.fr.po backend/Makefile.in backend/dll.conf
	sane-backends/AUTHORS sane-backends/ChangeLog
	sane-backends/PROJECTS: added teco1 backend

2002-04-08  Rene Rebe <rene.rebe@gmx.net>
i
	* doc/descriptions/avision.desc: fixed syntax

2002-04-08  Henning Meier-Geinitz <henning@meier-geinitz.de>
 
	* Makefile.in: make libcheck now also checks for non-static variables.
	* v4l.c: Some variables haven't been static. sane_set_io_mode must
	  return SANE_STATUS_GOOD if non_blocking == SANE_FALSE.

2002-04-08  Rene Rebe <rene.rebe@gmx.net>
	* backend/avision.c backend/avision.h doc/descriptions/avision.desc
	  doc/sane-avision.man: updated to Avision backend build 25. More
	  stable for HP usb scanners, suport for Misubishi scanners and
	  various cleanups. - And corrected the avision.desc location.

2002-04-07  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/canon_pp.c backend/canon_pp-dev.c backend/canon_pp-io.c
	  backend/canon_pp-dev.h: Changed timeouts and added scanner sleeps 
	  to improve reliability of 6x0P models.  Also corrected typo which 
	  caused full bed scans to fail.  Disabled problematic detect for now, 
	  will make detection slightly slower. Patch from Matthew Duggan 
	  <stauff1@users.sourceforge.net>.
	* doc/descriptions/canon_pp.desc: Added man page, incremented version.
	  Patch from Matthew Duggan <stauff1@users.sourceforge.net>.
	* doc/sane-canon_pp.man: Added more hints on getting canon_pp driver
	  working. Patch from Matthew Duggan <stauff1@users.sourceforge.net>.
	* backend/Makefile.in backend/canon630u-common.c backend/canon630u.c
	  backend/canon630u.conf backend/dll.conf backend/lm9830.h: Added
	  canon630u backend. This backend supports the CanoScan 630u and
	  CanoScan 636u (hopefully). Patch from Nathan Rutman 
	  <nathan@gordian.com>.
	* doc/.cvsignore doc/Makefile.in doc/sane-canon630u.man
	  doc/descriptions/canon630u.desc: Added documentation and description
	  of canon630u backend. Patch from Nathan Rutman 
	  <nathan@gordian.com>. 
	* PROJECTS doc/sane.man: Updated for canon630u backend.
	* AUTHORS: Updated for canon630u backend.
	* doc/saned.man: The path in the xinetd example pinted to /usr/local
	  unconditionally.
	* backend/canon630u-common.c: Fixed compilation on non-Linux systems.
	* configure configure.in: Added work-around for asm/io.h problems.

2002-04-06  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/mustek.c doc/descriptions/mustek.desc 
	  doc/mustek/mustek.CHANGES: Fixed color three-pass scanning for some
	  scanners.
	* PROJECTS: Added Hewlett-Packard ScanJet 2200c project.
	* sanei/sabei_constrain_value.c: Check that a SANE_Bool variable
	  can only be SANE_TRUE or SANE_FALSE.

2002-04-02  Peter Fales <peter@fales.com>

	* configure, acinclude.m4, aclocal.m4 - Another tweak to the
	  allowed gphoto2 version numbers
	
2002-04-02  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* acinclude.m4 aclocal.m4 configure configure.in: Added checks for
	  libieee1284. Enable canon_pp backend if found. Patch from 
	  "Matthew Duggan" <stauff@guarana.org>.
	* backend/Makefile.in backend/canon_pp-dev.c backend/canon_pp-dev.h
	  backend/canon_pp-io.c backend/canon_pp-io.h backend/canon_pp.c
	  backend/canon_pp.conf backend/canon_pp.h backend/dll.conf:
	  Added new canon_pp backend for the CanoScan FB330P, FB630P, N340P,
	  and N640P scanners. Patch from "Matthew Duggan" <stauff@guarana.org>.
	* AUTHORS doc/Makefile.in doc/sane-canon_pp.man doc/sane.man
	  doc/descriptions/canon_pp.desc: Updated for canon_pp backend.
	  Patch from "Matthew Duggan" <stauff@guarana.org>.
	* PROJECTS TODO: Removed canon_pp.
	* doc/.cvsignore: Added sane-canon_pp.5.
	* doc/descriptions-external/canon_pp.desc: Removed.
	
2002-03-30  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* doc/descriptions-external/test.desc: Added description of the test 
	  backend.
	* PROJECTS: Added homepage of the test backend.

2002-03-29  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/pnm.c doc/descriptions/pnm.desc: Check if option is settable
	  when automatically setting it. New version: 1.0.7.
	* backend/Makefile.in doc/Makefile.in frontend/Makefile.in 
	  include/Makefile.in po/Makefile.in tools/Makefile.in:
	  Support for variable DESTDIR. If set, all files are installed to that
	  location. Also print the filename of the installed file, not only the
	  path. Both changes are mostly for package creators/maintainers.
	* configure configure.in: Another try to get the DISTCLEAN_FILES
	  working.

2002-03-28  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* doc/sane-scsi.man: Updated info about SCSI-Howto and some SCSI
	  adapters.

2002-03-27 Oliver Rauch <Oliver.Rauch@rauch-domain.de>

	* removed unused definitions in include/sane/saneopts.h:
	  SMEAR, TEN_BIT_MODE, TWELVE_BIT_MODE, RGB_PREVIEW_PATCH, 
	  START_SCAN_PATCH

2002-03-26  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* PROJECTS: Updated canon_pp entry. Added Canon FB630U and Canon N650U
	  USB entries. Updated test backend entry.

2002-03-26  Frank Zago <fzago@greshamstorage.com>

	* PROJECTS: Updated Relisys Scorpio Super 3 infos.

2002-03-26  Gerhard Jaeger <gerhard@gjaeger.de>

	* AUTHORS, sanei_lm983x.[ch], entire Plustek backend:
	  Updated to new mail-address and backend URL

2002-03-24  Oliver Schwartz <oliver.schwartz@gmx.de>
 
	* backend/snapscan.c: Fix segfault in sane_exit if no devices were 
          found.

2002-03-24  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* acinclude.m4 aclocal.m4 configure configure.in ltmain.sh:
	  Update to libtool 1.4.2. Included local changes: use soname "libsane"
	  for all os but AIX. Use "normal" shared libs (.so) instead of archives
	  on AIX. Use 1 instead of 2 as major number with Irix.
	* Makefile.in ltconfig: Removed ltconfig as it is no longer used by 
	  libtool.
	* TODO: More status indicators for backends to include. Removed
	  entry about the grand Fujitsu reunification. Updated entry about the 
	  DBG warnings. Removed entry about splitted sane-backends.html. 
	  Removed entries about libtool problems. Added entry about plustek on
	  OS/2 problem.
	* backend/pnm.c doc/descriptions/pnm.desc: If fread returns 0, check
	  for EOF and other errors and return appropriately.
	* backend/mustek_usb_mid.h: Updated SANE header.
	* backend/net.c doc/descriptions/net.desc: Fixed 16-bit byte-order
	  handling in sane_read() (patch from Michael Herder <crapsite@gmx.net>).
	  New version: 1.0.7.

2002-03-24  Oliver Schwartz <oliver.schwartz@gmx.de>

	* backend/snapscan-options.c: New file (option functions moved from 
          snapscan.c)
        * backend/snapscan-utils.c: Removed file
        * backend/Makefile.in: Added snapscan-options.c, removed snapscan-utils.c
        * backend/snapscan.c backend/snapscan.h backend/snapscan-scsi.c
          backend/snapscan-usb.c backend/snapscan.h backend/snapscan.conf: 
          Snapcan-backend ver. 1.4.9
          - Moved option functions to snapscan-options.c
          - Autodetect USB scanners on Linux
          - Better error reporting
	
2002-03-21  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* doc/backend-writing.txt: Updated concerning splitted .desc
	  directories.
	* doc/Makefile.in: Updated install-mostang concerning splitted HTML
	  pages.
	* configure configure.in README: Use only shared libraries by default.
	  Fixed file patterns for distclean targets.
	* doc/Makefile.in: Remove backup etc. files also in subdirs when
	  using make distclean.
	* backend/pnm.c doc/descriptions/pnm.desc: Don't allow to set options
	  that don't have SANE_CAP_SOFT_SELECT and don't allow read and write
	  for options that are inactive. New version: 1.0.5.
	
2002-03-20  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* sanei_wire.c: Set allocated memory to 0 to avoid delivering
	  garbage to the frontend.
	* backend/mustek.c backend/mustek.desc backend/mustek.h 
	  doc/mustek/mustek.CHANGES: Fixed halftone pattern handling. The
	  buffer was way too small. Option 0 has an empty name. Better debug
	  output for dev_cmd. Set size for group options to 0. Set size of
	  halftone pattern to non 0.
	* backend/mustek_usb.c backend/mustek_usb.desc 
	  doc/mustek_usb/mustek_usb.CHANGES: Option 0 has an empty name now.
	  Group options have size 0 now. Check also for SANE_ACTION_SET_AUTO.
	  Removed buggy output in sane_control_option. Added more debug output
	  in sane_control_option.
	* backend/net.c backend/net.desc backend/net.h: Use copies of option
	  descriptors to make sure their addresses aren't changed until
	  sane_close. New version: 1.0.7.
	* doc/descriptions/abaton.desc doc/descriptions/agfafocus.desc
	  doc/descriptions/apple.desc doc/descriptions/artec.desc
	  doc/descriptions/as6e.desc doc/descriptions/avision.desc
	  doc/descriptions/bh.desc doc/descriptions/canon.desc
	  doc/descriptions/coolscan.desc doc/descriptions/dc210.desc
	  doc/descriptions/dc240.desc doc/descriptions/dc25.desc
	  doc/descriptions/dll.desc doc/descriptions/dmc.desc
	  doc/descriptions/epson.desc doc/descriptions/gphoto2.desc
	  doc/descriptions/hp.desc doc/descriptions/m3096g.desc
	  doc/descriptions/matsushita.desc doc/descriptions/microtek2.desc
	  doc/descriptions/microtek.desc doc/descriptions/mustek.desc
	  doc/descriptions/mustek_pp.desc doc/descriptions/mustek_usb.desc
	  doc/descriptions/nec.desc doc/descriptions/net.desc
	  doc/descriptions/pie.desc doc/descriptions/pint.desc
	  doc/descriptions/plustek.desc doc/descriptions/pnm.desc
	  doc/descriptions/qcam.desc doc/descriptions/ricoh.desc
	  doc/descriptions/s9036.desc doc/descriptions/sceptre.desc
	  doc/descriptions/sharp.desc doc/descriptions/sm3600.desc
	  doc/descriptions/snapscan.desc doc/descriptions/sp15c.desc
	  doc/descriptions/st400.desc doc/descriptions/tamarack.desc
	  doc/descriptions/template.desc. doc/descriptions/umax1220u.desc 
	  doc/descriptions/umax.desc doc/descriptions/umax_pp.desc
	  doc/descriptions/v4l.desc:
	  Moved descriptions of included backends from backend/*.desc.
	* doc/descriptions-external/canon_pp.desc 
	  doc/descriptions-external/coolscan2.desc
	  doc/descriptions-external/hp4200.desc
	  doc/descriptions-external/hpoj.desc
	  doc/descriptions-external/ibm.desc
	  doc/descriptions-external/lhii.desc
	  doc/descriptions-external/m3091.desc
	  doc/descriptions-external/niash.desc
	  doc/descriptions-external/teco.desc
	  doc/descriptions-external/v4l2.desc
	  doc/descriptions-external/template.desc.:
	  Moved descriptions of external backends from backend/*.desc.
	* doc/Makefile.in: Updated for separated lists of backends.
	* tools/Makefile.in tools/sane-desc.el.in tools/sane-desc-ext.el:
	  Updated for separated lists of backends. Use package version in
	  internal list. Don't use version and man page in external list.
	* tools/sane-desc.el: Removed.
	* configure configure.in: Added tools/sane-desc.el to output files.
	* backend/Makefile.in: Updated DISTFILES.
	* backend/*.desc backend/template.desc.: Removed (now in doc/).
	* tools/.cvsignore: Added sane-desc.el.
	
2002-03-19  Frank Zago <fzago@greshamstorage.com>

	* matsushita backend: updates and fixes.
	* sceptre backend: updates and fixes.

2002-03-19  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* TODO: Marked backends that really should be included. Clearified
	  comment about sane-backends.html. Added comment about sort order
	  this list. Add comment about better linking of external libs.

2002-03-17  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/hpoj.desc: New file (from David Paschal <paschal@rcsis.com>).
	* backend/mustek_usb.c backend/mustek_usb.desc backend/mustek_usb.h
 	  backend/mustek_usb_high.c backend/mustek_usb_high.h
	  backend/mustek_usb_low.c backend/mustek_usb_low.h
	  backend/mustek_usb_mid.c doc/mustek_usb/mustek_usb.CHANGES: Fixed
	  segfault when opening device again after closing and possible
	  segfault when name="". Type for option 0 must be set to
	  SANE_TYPE_INT explicitely. Updated GPL/SANE headers.
	* TODO: Added entry about auto-loading SCSI drivers. Removed entry
	  about new SANE types. Moved entry about config.guess to 
	  doc/releases.txt. Added more info about libtool problems.
	* doc/releases.txt: Added info about config.guess and config.sub.
	* config.guess config.sub: Updated from upstream.

2002-03-17  Peter Fales <peter@fales.com>

	* backend/gphoto2.c - Minor bug fixes for problems found by tstbackend
	
2002-03-16  Gerhard Jaeger  <g.jaeger@earthling.net>

	* backend/plustek.[ch]: fixed a bug, that causes segfaulting the backend
	  when using the USB autodetection stuff 

2002-03-15  Stéphane Voltz  <svoltz@wanadoo.fr>

	* backend/umax_pp_low.c:  fixed 1200 dpi mode
	* backend/umax_pp:  changes for translations support
	* po/Makefile.in po/umax_pp.fr.po:  create french translations for 
	  umax_pp backend
	  
2002-03-12  Frank Zago <fzago@greshamstorage.com>

	* PROJECTS backend/teco.desc: new project

2002-03-11  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* README: Some more information on where to find the config files and
	  a hint to make a backup.
	* doc/sane.man: Updated mustek_usb and plustek backend entries. Added
	  FILES section. Minor fixes and updates.

2002-03-10  Frank Zago <fzago@greshamstorage.com>

	* PROJECTS: removed matsushita project.
	* backend/sceptre.desc backend/matsushita.desc: updated the backend 
	  url.

2002-03-10 Abel Deuring <a.dering@satzbau-gmbh.de>
	* configure.in, configure: Added a second test for
	  HAVE_SG_TARGET_STATUS: check /usr/src/linux/include/scsi/sg.h;
	  added conditionals so that this test is done only for Linux

2002-03-10  Gerhard Jaeger <g.jaeger@earthling.net>

	* doc/sane-plustek.man: Update
	* backend/plustek-usbhw.c backend/plustek-usbimg.c backend/plustek-usbio.c
	  backend/plustek-usbmap.c backend/plustek-usbscan.c
	  backend/plustek-usbshading.c backend/plustek.c backend/plustek-devs.c
	  backend/plustek-pp.c backend/plustek.usb
	  backend/plustek.h backend/plustek-share.h backend/plustek-usb.h:
	  Added custom gamma tables, added patches to support EPSON1250,
	  UMAX3400 and HP2100C devices, added warmup and timed lamp-off features,
	  minor bug-fixes
	* backend/plustek.desc: Added Umax entry
	* backend/plustek.conf: Update

2002-03-10 Abel Deuring <a.dering@satzbau-gmbh.de>
	* configure.in, configure, include/sanei/config.h.in,
	  sanei/sanei_scsi.c: Added HAVE_SG_TARGET_STATUS for compatibility
	  with old Linux sg.h versions

2002-03-10  Gerhard Jaeger  <g.jaeger@earthling.net>

	* po/plustek.de.po:  Update
	* po/plustek.es.po, po/saneopts.es.po:  Added spanish translation
	  thanks to Gustavo D. Vranjes                                 

2002-03-10  Stéphane Voltz  <svoltz@wanadoo.fr>

	* backend/umax_pp_low.c:  fast and adaptative scanner probe function.
	  Improved CCD calibration.
	* tools/umax_pp.c: revision change

2002-03-08 Oliver Rauch <Oliver.Rauch@rauch-domain.de>

	* backend/Makfile.in: added missing depenencies for
	  new umax backends

2002-03-08  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* doc/sane.tex: Added "multi-function peripheral" to list of types in
	  SANE standard.

2002-03-07  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* include/sane/config.h.in: Fix comment for HAVE_USB_H.
	* TODO: Added entry about md5/getopt license issues.
	
2002-03-07 Abel Deuring <a.deuring@satzbau-gmbh.de>
	* sanei/sanei_scsi.c: fixed a typo (Sg_scsi_id -> SG_scsi_id)

2002-03-07 Oliver Rauch <Oliver.Rauch@rauch-domain.de>

	* updated umax backend to version 1.0.7-build-33
	  new file: umax-usb.c (by Frank Zago)

2002-03-06  Frank Zago <fzago@greshamstorage.com>

	* po/Makefile,in doc/sane.man doc/Makefile.in backend/matsushita.desc
	  backend/dll.conf backend/Makefile.in sane-backends.lsm AUTHORS
	  po/matsushita.fr.po doc/matsushita/matsushita.txt 
	  doc/matsushita/matsushita10_trc.txt 
	  doc/matsushita/matsushita11_trc.txt
	  doc/matsushita/matsushita12_trc.txt 
	  doc/matsushita/matsushita13_trc.txt 
	  doc/matsushita/matsushita14_trc.txt 
	  doc/matsushita/matsushita1_trc.txt 
	  doc/matsushita/matsushita2_trc.txt
	  doc/matsushita/matsushita3_trc.txt 
	  doc/matsushita/matsushita4_trc.txt 
	  doc/matsushita/matsushita5_trc.txt 
	  doc/matsushita/matsushita6_trc.txt 
	  doc/matsushita/matsushita7_trc.txt 
	  doc/matsushita/matsushita8_trc.txt 
	  doc/matsushita/matsushita9_trc.txt doc/sane-matsushita.man 
	  backend/matsushita.h backend/matsushita.conf 
	  backend/matsushita.c: Addition of the Matsushita / Panasonic backend
	* doc/.cvsignore: added sane-matsushita.5

2002-03-03  Frank Zago <fzago@greshamstorage.com>

	* doc/.cvsignore: added sane-sceptre.5

2002-03-03  Frank Zago <fzago@greshamstorage.com>

	* doc/sane-sceptre.5: removed (auto-generated)

2002-03-03  Frank Zago <fzago@greshamstorage.com>

	* doc/sceptre/s1200.txt: doc updates
	* backend/sceptre.desc: increased version
	* backend/sceptre.c backend/sceptre.h: fixed a gamma table bug,
	  fixed some color shifting problems, some cleanups.
	* doc/sceptre.man: doc updates

2002-02-24  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/Makefile.in: Removed getopt.o getopt1.o and md5.o from
	  LIBLIB_FUNCS as they are not needed in backends.

2002-02-22  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* PROJECTS: Added matsushita backend.
	* backend/matsushita.desc: New file. Description for the matsushita
	  backend.

2002-02-21  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/Makefile.in backend/dll.conf backend/sceptre.c
	  backend/sceptre.conf backend/sceptre.desc backend/sceptre.h:
	  Added sceptre backend for the Sceptre VividScan 1200 (patch from
	  Frank Zago <fzago@greshamstorage.com>).
	* doc/Makefile.in doc/sane-sceptre.5 doc/sane-sceptre.man doc/sane.man 
	  doc/sceptre/preview_trace.txt doc/sceptre/s1200.txt
	  doc/sceptre/scan_trace.txt: Added documentation for sceptre backend
	  (patch from Frank Zago <fzago@greshamstorage.com>).
	* po/Makefile.in po/sceptre.fr.po: Added french translation for
	  sceptre backend (patch from Frank Zago <fzago@greshamstorage.com>).
	* AUTHORS PROJECTS sane-backends.lsm: Updated concerning sceptre
	  backend (patch from Frank Zago <fzago@greshamstorage.com>).

2002-02-20  Stéphane Voltz  <svoltz@wanadoo.fr>

	* backend/umax_pp_low.c backend/umax_pp.c:  corrected few bugs
	  due to changing default model to 'none'.
	* tools/umax_pp.c: fixed compile problem

2002-02-19  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* lib/inet_pton.c: Use u_int32_t instead of in in_addr_t which isn't
	  defined at least for OS/2.
	* TODO: Added entry about DBG warnings.
	* doc/sane.tex: Added some vendors (Abaton, Acer, Apple, Avision, 
	  CANON, Fujitsu, IBM, NEC, Nikon, Plustek, Polaroid, Ricoh, Sharp, 
	  Siemens, Tamarack) and device types (film scanner, sheetfed scanner)
	  to the SANE standard. Updated date.
	* doc/Makefile.in: Remove sanei-html in make distclean.
	* PROJECTS: Added Acer ScanWit 2720S.
	* backend/template.desc.: Added explanation for backend version, fixed
	  typo.	

2002-02-16 Abel Deuring <a.deuring@satzbau-gmbh.de>:
	* frontend/scanimage.c / part for the "-f" command line option:
	  replaced the vprintf call with a loop of printf calls; fixed
	  a "too stingy" malloc 

2002-02-16  Peter Fales <peter@fales.com>

	* backend/dc240.c - Fix mismatches between format and 
	  parameters in debug statements
	
2002-02-15  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* include/sane/sanei.h include/sane/sanei_ab306.h
	  include/sane/sanei_auth.h include/sane/sanei_backend.h
	  include/sane/sanei_codec_ascii.h include/sane/sanei_codec_bin.h
	  include/sane/sanei_config.h include/sane/sanei_debug.h
	  include/sane/sanei_lm983x.h include/sane/sanei_thread.h
	  include/sane/sanei_usb.h: Added, fixed and updated documentation
	  for sanei using doxygen.
	* doc/.cvsignore: Added sanei-html.
	* TODO: Updated entry about missing sanei documentation. Removed
	  entry about make distclean issues.

2002-02-15  Stéphane Voltz  <svoltz@wanadoo.fr>

	* backend/umax_pp_low.c backend/umax_pp_low.h backend/umax_pp_mid.h
	  backend/umax_pp_mid.c backend/umax_pp.c backend/umax_pp.h
	  backend/umax_pp.conf:  added ppdev character device name passing 
	  from conf file. Allow model overide from conf option. DBG macros 
	  clean-up. Fixed color inversion for 1660P models. Fixed potential 
	  crash when custom dump files could not be opened for writing.
	* doc/sane-umax_pp.man: updates to match backned new parameter and 
	  behaviour
	* tools/umax_pp.c: added device name argument
		
2002-02-14  Jochen Eisinger <jochen.eisinger@gmx.net>

	* sanei/sanei_auth.h: remove strange line-ending handling code

2002-02-14  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* configure configure.in include/sane/config.h.in lib/Makefile.in
	  lib/inet_pton.c: Added wrapper for inet_pton(). If this function
	  is not available, try first inet_aton() and then inet_addr().
	* frontend/saned.c: Use inet_pton() instead of inet_aton() to avoid
	  compilation errors on e.g. OS/2.
	* include/Sane/sanei_debug.h: Added warnings for format problems
	  in DBG messages (from Frank Zago <fzago@greshamstorage.com>).
	* include/sane/sanei.h sanei/Makefile.in sanei/load_values.c
	  sanei/save_values.c: Removed load_values and save_values as they
	  are only used in sane_frontends.
	* backend/mustek.c backend/mustek_usb_low.c backend/mustek_usb_high.c
	  backend/net.c doc/mustek/mustek.CHANGES
	  doc/mustek_usb/mustek_usb.CHANGES sanei/sanei_usb.c: Fixed some
	  DBG format warnings.
	* lib/inet_ntop.c: Only use inet_ntoa if it's available.

2002-02-13  Peter Fales <peter@fales.com>

	* configure, acinclude.m4, aclocal.m4 - Another tweak to the
	  allowed gphoto2 version numbers
	
2002-02-13  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* configure configure.in Makefile.in backend/Makefile.in
	  doc/Makefile.in frontend/Makefile.in include/Makefile.in
	  japi/Makefile.in lib/Makefile.in sanei/Makefile.in
	  tools/Makefile.in testsuite/Makefile.in po/Makefile.in: Added global
	  list of file patterns for "make distclean". Some "make clean"
	  and "make distclean" cleanup and additions.

2002-02-12  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* tools/sane-config.in: Avoid printing "-I/usr/include" as this
	  changes the default include order (from Tim Waugh
	  <twaugh@redhat.com>). Really check for entries in $cflags that
	  are also in $includedir.
	* frontend/saned.c: DNS queries for remote hosts are only done if
	  necessary. It's now possible to use "+" without hosts/DNS entries
	  for the connecting host.
	* TODO: Removed entries for config.h, OpenBSD shared libs, and -ansi 
	  on HP-UX. Updated device type entry.

2002-02-10  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* configure configure.in: Link to functions in lib/ only
	  if they are not available on the system. Use AC_PROG_LIBTOOL
	  instead of the deprecated AM_PROG_LIBTOOL.
	* backend/Makefile.in lib/Makefile.in: Link to functions in lib/ only
	  if they are not available on the system. Avoid duplicating list of
	  functions.
	* sanei/sanei_usb.c: If get_vendor_product fails, don't try again for
	  every device file.

2002-02-10  Oliver Schwartz <Oliver.Schwartz@gmx.de>

	* po/Makefile.in: Added snapscan.de.po to DISTFILES

2002-02-09  Abel Deuring <a.deuring@satzbau-gmbh.de>:
	* sanei/sanei_scsi.c: Added checks to the Linux part of
	  sanei_scsi_open_extended, if an SG device file is being
	  opened

2002-02-09  Oliver Schwartz <Oliver.Schwartz@gmx.de>

	* po/Makefile.in po/snapscan.de.po backend/snapscan.c:
          Added language translation support for snapscan backend,
          added german translations.

2002-02-09  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* po/Makefile.in po/saneopts.fr.po po/umax.fr.po: Added french
	  translation (from Frank Zago <fzago@greshamstorage.com>).

2002-02-08  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* PROJECTS: Added info about HP Scanjet 5S.
	* lib/inet_ntop.c: Removed OS/2 kludge: it's not necessary.

2002-02-05  Stéphane Voltz  <svoltz@wanadoo.fr>

	* backend/umax_pp_low.c backend/umax_pp_low.h backend/umax_pp_mid.h
	  backend/umax_pp_mid.c backend/umax_pp.c backend/umax_pp.h: 
	  tuned down duration of pauses in scanner ringing. Indent'ing all
	  files. Include header files according to HAVE_XXX_H defines in
	  config.h .
	* tools/umax_pp.c: updated version and added printing of config
		options
	  
2002-02-05  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* configure configure.in: Version is 1.0.7-cvs. Enable warnings by
	  default. Don't use "-ansi" for HPUX.
	* sanei/sanei_thread.c: Make sure that waitpid returns something
	  usefull on OS/2. Avoids the "Unknown SANE status code 128" errors.

******  Release of sane-backends 1.0.7. End of code freeze ******

2002-02-03  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* acinclude.m4 aclocal.m4 configure: Added a missing "test" command
	  in check for gphoto2. This fixes error messages while testing for
	  gphoto2 and a false positive result.
	* TODO: Added entries about config.h, sane-backends.html, device file
	  types, the HPUX -ansi problem, and make distclean.
	* backend/Makefile.in backend/coolscan2.desc: Added description file
	  for coolscan2 backend (from Major Andras 
	  <andras@users.sourceforge.net>).
	* backend/gphoto2.desc: gphoto2 is no longer "NEW".

2002-02-02  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* PROJECTS: Added info about Canon N670U project. Added info about
	  Sceptre S1200 project.
	* backend/sceptre.desc backend/Makefile.in: New file (from Frank Zago 
	  <fzago@greshamstorage.com>).
	* backend/microtek2.desc doc/sane-microtek2.man: Updated microtek2
	  documentation (from karsten.festag@t-online.de (Karsten Festag)).
	* Makefile.in README.netbsd: New file. Information about problems
	  with shared libs.
	* configure configure.in: Include <sys/types.h> and <sys/ipc.h> also
	  when checking for struct semun in <sys/sem.h>. This fixes a 
	  compilation problem on FreeBSD.

2002-01-31  Peter Fales <peter@fales.com>

	* configure, acinclude.m4, aclocal.m4 - Latest gphoto2 updates
	  changed the version number, breaking the gphoto2 backend.  This
	  is a one line change to correct that.
	
2002-01-31  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* PROJECTS: Added info about GT-68xx backend.

2002-01-29  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* configure configure.in: New version: 1.0.7. Disabled extra version.
	  Disabled warnings by default.
	* TODO: Added entry about adding well known types and manufacturers
	  to sane.tex.

---- CODE FREEZE FOR SANE 1.0.7 ---
---- sane-backends-1.0.7-beta2 ----

2002-01-27  Gerhard Jaeger <g.jaeger@earthling.net>

	* backend/plustek-usbhw.c: Fixed LM9831 problem...
	
2002-01-27  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/microtek.c backend/microtek2.h: Fixed undefined behaviour
	  problem and Scanmaker X12 problems. New version: 20020127. Code from
	  karsten.festag@t-online.de (Karsten Festag).
	* lib/inet_ntop.c: Fixed problem with header include order on Irix.
	* configure configure.in backend/snapscan-usb.c
	  include/sane/config.h.in: Only define union semun if not already
	  defined in <sys/sem.h>. Fixes compilation bugs on Irix and FreeBSD.

2002-01-26  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* NEWS: Updated for sane-backends 1.0.7.
	* TODO: Added point about sane-find-scanner. Added details about
	  NetBSD linking problem.

2002-01-25 Karl Heinz Kremer <khk@khk.net>

	* backend/epson.desc, doc/sane-epson.man: Added Perfection
	  1650 and 2450 scanners to supported scanners list.

2002-01-25 Abel Deuring <a.deuring@satzbau-gmbh.de>
	* frontend/scanimage.c: illegal placeholders in the -f format
	  string are now replaced by "%%". (Bug found by Peter Fales)

2002-01-25  Gerhard Jaeger <g.jaeger@earthling.net>

	* backend/plustek-usb.h: changed according to avoid
	  some gcc-3 warnings
	* docb/sane-plustek.man: Update

2002-01-24  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* po/Makefile.in: Added SHELL variable. Fixes po generation on OS/2.
	* po/README: Added some comments on what the Makefile actually does.
	* doc/backend-writing.txt doc/sane.man: Added note about doxygen
	  configuration for sanei.

2002-01-24  Stéphane Voltz  <svoltz@wanadoo.fr>

	* backend/umax_pp_low.c: corrected 2000P mis-detection by adding
	  pauses in epat wake-up.

2002-01-23  Oliver Schwartz <Oliver.Schwartz@gmx.de>

	* backend/snapscan.c backend/snapscan-scsi.c backend/snapscan.h
          Fix recognition of Acer 320U, Fix for spaces in model ID strings,
          Change snapscan version to 1.4.7
          
2002-01-23  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/mustek.c backend/mustek_usb.c doc/mustek/mustek.CHANGES
	  doc/mustek_usb/mustek_usb.CHANGES: Fixed undefined operation
	  warnings.

2002-01-22  Oliver Schwartz <Oliver.Schwartz@gmx.de>

	* backend/snapscan.c:
          Do not use quantization for scan areas
	* backend/snapscan-scsi.c:
	  Add sense handling for sense code 0x0b to avoid infinite loops,
          Change snapscan version to 1.4.6
        * backend/snapscan.conf
          Use /dev/sg0 as default instead of the more uncommon /dev/sga
          
---- sane-backends-1.0.7-beta1 ----

2002-01-21  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* TODO: Made entry about TL_X < BR_X, jpeg->sanei, and sanei_scsi
	  more exact. Added entry about new version of libtool. Removed entry
	  about exit().
	* backend/Makefile.in po/Makefile.in: Added missing files to DISTFILES.
	  Fixed incompatibilities with older versions of gmake.

2002-01-21 Oliver Rauch <Oliver.Rauch@rauch-domain.de>

	* doc/sane-umax.man, backend/umax.conf:
	  added new umax.conf options and explaination

2002-01-20  Gerhard Jaeger <g.jaeger@earthling.net>

	* backend/plustek.c: change the options names to match SANE standard
	* backend/plustek-usbhw.c backend/plustek-usbio.c
	  backend/plustek-usbscan.c:
	  Minor fixes, according to the National Sources

2002-01-20  Abel Deuring <a.deuring@satzbau-gmbh.de>
	* sanei/sanei_scsi.c: set timeout value for all operating
	  systems to 1 minute. The timeout value is now derived from
	  the macro SANE_SCSICMD_TIMEOUT.

2002-01-20  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/mustek.c backend/mustek.desc doc/mustek/mustek.CHANGES:
	  Fixed calibration bug for the 1200 Pro. New version: 1.0-118.
	* include/sane/sanei_thread.h: Removed */.
	* backend/tamarack.c: Used return SANE_STATUS_INVAL instead of exit.

2002-01-19  Peter Fales <peter@fales.com>

	* backend/gphoto2.c - Fixed a bug that can cause driver errors
	  following image capture, and bug that was incorrectly disabling
	  thumbail previews.

2002-01-19 Oliver Rauch <Oliver.Rauch@rauch-domain.de>

	* updated umax.de.po

2002-01-19  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* TODO: Removed entries about kill(-1,...), wrong .desc links,
	  sanei documentation, added entries about exit(), and sanei
	  doxygen documentation.
	* backend/mustek.c doc/mustek/mustek.CHANGES: Fixed some option
	  name issues.
	* doc/sane-mustek-usb.man: Fixed typo.
	* po/Makefile.in po/README po/epson.de.po po/mustek.de.po
	  po/mustek_usb.de.po po/plustek.de.po po/pnm.de.po po/saneopts.de.po
	  po/umax.de.po: Moved the options contained in saneopts.h into a
	  seperate file. So the backend po files are much smaller and easier to
	  read and the saneopts translations are consistent through backends.
	* backend/microtek2.c backend/microtek2.h: Update to backend 
	  0.95-20020112 (from karsten.festag@t-online.de (Karsten Festag)).
	* include/sane/sanei.h include/sane/sanei_config.h
	  include/sane/sanei_thread.h sanei/sanei_config.c: Made documentation
	  doxygen-compatible. Move comments from sanei_config.c to
	  sanei_config.h.

2002-01-18  Karl Heinz Kremer <khk@khk.net>

	* backend/epson.c: Also recognize the GT-xxxx scanners when connected via
	  SCSI or IEEE-1394 interface

2002-01-17  Peter Fales <peter@fales.com>

	* configure, acinclude.m4, aclocal.m4 - Update gphoto2 version check
	* backend/gphoto2.c - Improved support for options not
	  supported by camera.  Cosmetic cleanup.
	  	
2002-01-18  Rene Rebe <rene.rebe@gmx.net>

        * docs/sane-avision.man: added the new disable-gamma-table option
	  to the sane-avision man-page.

2002-01-18  Rene Rebe <rene.rebe@gmx.net>

        * backend/avision.h, backend/avision.c, backend/avision.conf:
	  many cleanups, fixed sane_cancel to not hang - but perform the
	  cancel, added a disable-gamma-table option and added the possible
	  options into the avision.conf file

2002-01-18  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* doc/Makefile.in: Added doxygen-sanei.conf to DIST_FILES.

2002-01-17  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* include/sanei/sanei_usb.h: Made documentation doxygen compatible.

2002-01-17  Peter Fales <peter@fales.com>

	* backend/gphoto2.c, doc/sane-gphoto2.man
	  Remove calls to exit()
	  Support cameras which store all files in top-level directory

2002-01-17  Peter Fales <peter@fales.com>

	* configure, acinclude.m4, aclocal.m4 - (Really) disable
	  gphoto2 backend unless specifically requested by the user (using
	  --with-gphoto2) and the right CVS version of gphoto2 is found

2002-01-17  Rene Rebe <rene.rebe@gmx.net>

        * backend/avision.c removed to call exit in a debug case

2002-01-17  Gerhard Jaeger <g.jaeger@earthling.net>

	* backend/plustek.c backend/plustek.h
	  Fixed conditional compilation problem
	  Updated localization strings
	* doc/sane-plustek.man: Updated
	* po/plustek.de.po: Updated
	* doc/doxygen-sanei.conf: Added doxygen configuration file for
	  the sane libs
	* include/sane/sanei.h include/sane/sanei_ab306.h
	  include/sane/sanei_lm983x.h sanei/sanei_lm983x.c:
	  Updated to support doxygen comments

2002-01-17  Peter Fales <peter@fales.com>

	* configure.in, configure, acinclude.m4, aclocal.m4 - Disable
	  gphoto2 backend unless specifically requested by the user (using
	  --with-gphoto2) and the right CVS version of gphoto2 is found

2002-01-17  Rene Rebe <rene.rebe@gmx.net>

	* backend/avision.h backend/avision.c backend/avision.desc
	  doc/sane-avision.man: Merged the Avision v0.3.0 backend. It
	  includes overall cleanups, improved supported device detection,
	  memory-leak fixes, new config-options, initial USB device and
	  color calibration support. Also upadted the homepage-url and the
	  sane-avision man-page.

2002-01-16  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/abaton.desc backend/dmc.desc backend/m3096g.desc
	  backend/mustek.c backend/sp15c.desc backend/v4l.desc:
	  Updated broken URLs for which I could find new ones. Commented out
	  all the others.

2002-01-15  Peter Fales <peter@fales.com>

	* backend/gphoto2.c:  Following yet another gphoto2 API change -
	  converted gp_debug_printf to gp_log

	  configure.in, configure, acinclude.m4, aclocal.m4 - Improvements
	  to the way gphoto2 is detected and used based on using 
	  gphoto2-config. 

2002-01-15  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/pnm.c backend/pnm.desc po/pnm.de.po: Removed descripions
	  of options of type SANE_TYPE_GROUP. Fixed some translations.
	  Fixed header. New version: 1.0.4.
	* backend/plustek.c backend/plustek.h po/Makefile.in po/plusetk.de.po:
	  Added German translation of Plustek backend options. Marked
	  translatable text in backend sources.

2002-01-14  Oliver Schwartz <Oliver.Schwartz@gmx.de>
	
	* backend/snapscan.c   backend/snapscan-usb.c:
          Added workaround for bug in semctl() on PPC;
          backend version 1.4.5
        
2002-01-14  Peter Fales <peter@fales.com>
	* backend/gphoto2.c:  Was requiring the device to have the
	  IMAGE_CAPTURE capability - changed this to a warning instead
	  of an error so the "Directory Browse" camera can be used.
	  Don't require a port to be specified for the "Directory
	  Browse" camera.  Fixed a bug that can result in extra data 
	  at the end of the iamge.  Allow the returned image image to be 
	  larger than the "estimate" specified in the configuration file.

2002-01-14  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* frontend/scanimage.c: Added help message for --formatted-device-list.
	  Added va_end() and #include <stdarg.h>. Used fprintf to print errors.
	  Fixed some typos.

2002-01-13  Abel Deuring <a.deuring@satzbau.gmbh.de>
	* frontend/scanimage.c, doc/scaniamge.man: Added the option -f /
	  --formatted-device-list to allow arbirtarily formatted device
	  lists. Suggested by Klaas Freitag.

2002-01-13  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* acinclude.m4 aclocal.m4 configure: Included AC_PROG_LIBTOOL into
	  acinclude.m4 to avoid trouble with newer versions of libtool.
	* backend/niash.desc: New file for the niash backend (from Bertrik
	  Sikken <bertrik@zonnet.nl>).

2002-01-12  Peter Fales <peter@fales.com>

    * backend/gphoto2.c - Fixed breakage due to gphoto2 API changes
      (Added context parameter to functions calls)

2002-01-12  Gerhard Jaeger <g.jaeger@earthling.net>

    * doc/sane-plustek.man: Update
    * backend/plustek-devs.c backend/plustek-usb.c backend/plustek-usbhw.c
      backend/plustek-usbio.c backend/plustek-usbscan.c
      backend/plustek-usbshading.c backend/plustek.c:
      Updated to reflect the current feedback upon the code and
      added some minor fixes
    * backend/plustek.desc: Added Mustek and HP entry

2002-01-12  Gerhard Jaeger <g.jaeger@earthling.net>

    * include/sane/sanei_lm983x.h sanei/sanei_lm983x.c:
      added sanei_lm983x_init(), updated comments and fixed the u_long
    * AUTHORS: Added myself to the list of sanei authors.

2002-01-12  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* doc/sane.man doc/scanimage.man: Added link to scanadf.

2002-01-11  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/qcam.c: Create lockfile with O_EXCL even when using fcntl
	  locking. Remove it in any case after exiting. Log file handling
	  is still buggy but this has to be done by someone who has a qcam.
	* sanei/sanei_lm983x.c: Added #include <sys/types.h> (OS/2 complains
	  otherwise).
	* backend/pnm.c backend/pnm.desc po/pnm.de.po: hand_scanner and
	  three_pass options need SANE_INFO_RELOAD_PARAMETERS. All options
	  have a symbolic name now. Removed bogus translation from po. New
	  version: 1.0.3.
	* frontend/saned.c: Check that the IP addresses of the peer are the
	  same for control and data connections. Exit, if this is not the
	  case. Changed some debug levels.
	* PROJECTS: Updated some URLs. Removed m3096g and Mustek BearPaw 
	  (both are included now in SANE). Added test backend and SaneTwain.
	* TODO: Removed primax (not a backend), fixed viceo URL, updated 
	  qcam entries, added entries about ipv6 support, removed saned
	  address validation entry. Added entry about scanimage + NLS.
	* backend/mustek_usb.c backend/mustek_usb.desc
	  backend/mustek_usb_high.c backend/mustek_usb_high.h
	  backend/mustek_usb_mid.c backend/mustek_usb_mid.h
	  doc/mustek_usb/mustek_usb.CHANGES po/mustek_usb.de.po:
	  Removed some warnings. Fixed segfault while exiting. Using empty
	  devicename works now. New version: 1.0-10.

2002-01-10  Tom Martone <tom@martoneconsulting.com>
        * backend/bh.c
          addressed security issue with tempfile

2002-01-10  Oliver Schwartz <Oliver.Schwartz@gmx.de>
	
	* backend/snapscan.c   backend/snapscan.h  backend/snapscan.desc:
	  Update to snapscan-20020110 (Version 1.4.4) 
          - add support for SnapScan e42	  

2002-01-10  Gerhard Jaeger <g.jaeger@earthling.net>

    * include/sane/sanei_lm983x.h sanei/sanei_lm983x.c sanei/Makefile.in:
      Added to support for the National Semiconductor LM9831/2/3 chipsets
      (read/write functions)
    * backend/plustek.desc: Updated, added missing, now supported devices
    * backend/plustek.c backend/plustek-share.h backend/plustek.h
      backend/plustek.conf backend/plustek-usb.c backend/plustek-devs.c
      backend/plustek-pp.c backend/plustek-usbhw.c backend/plustek-usbimg.c
      backend/plustek-usbio.c backend/plustek-usbmap.c
      backend/plustek-usbscan.c backend/plustek-usbshading.c
      backend/plustek-usb.h:
      Major changes to use the new sanei_lm983x functions
      Changed the configuration file to reflect all the possible config-options
    * backend/Makefile.in: Changed to compile the Plustek backend

2002-01-10  Henning Meier-Geinitz <henning@meier-geinitz.de>
	
	* po/pnm.de.po: Added German translation for pnm backend.
	* po/mustek.de.po po/mustek_usb.de.po: Updated German translations.
	  They should be complete now.
	* po/Makefile.in README: Made Makefile more intelligent. Targets
	  are only updated if necessary. No manual copying necessary.
	  Added pnm.de.po to DISTFILES. Added comment about DISTFILES.
	* backend/mustek_usb.desc: New status: beta.
	* README: Added description of --enable-translations.
	* doc/sane.man: Added comment about translations.
	* Makefile.in: Added Changelogs to DISTFILES. test/Makefile is
	  removed in make distclean now. 
	* doc/backend-writing.txt: Added paragraph about getting started.
	  Added comments about ANSI C, compilation warnings, testing and 
	  keeping manpages up-to-date.
	* backend/pnm.c: Added SANE_I18N() marks.
	* TODO: Cleanup. Moved several entries to doc/backend-writing.txt.
	  Moved some entries to more appropriate paragraphs. Added entry about
	  missing or defective links in the .desc files. Removed entry about
	  translations.
	* lib/inet_ntop.c: Changed order of includes for OS/2 compatibility.
	* frontend/scanimage.c: Added output of bytes scanned in total.
	  Added warning that's printed if scanimage gets more data then
	  expected from the parameters.
	* include/Makefile.in: Added sanei_lm983x.h to DISTFILES.
	* backend/qcam.c: Actually close the lock file when unlocking.

2002-01-09  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* ChangeLog ChangeLog-1.0.0 ChangeLog-1.0.1 ChangeLog-1.0.2
	  ChangeLog-1.0.3 ChangeLog-1.0.4 ChangeLog-1.0.5: Splitted
	  ChangeLog to limit filesize. Editing became slow on smaller systems.

2002-01-08  Marcio Teixeira <marciot@users.sourceforge.net>

	* backend/umax1220u.c: fixed compile warnings
	* backend/umax1220u-common.c: fixed compile warnings
	* backend/umax1220u.desc: added info about 2000U, 2200U, 2200US

2002-01-08  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* configure configure.in: Added V_EXTRA version number to mark
	  CVS versions (-cvs) and snapshots/betas (e.g. -beta1).
	  V_EXTRA=-pre1 would result in "sane-backends-1.0.7-pre1(.tar.gz)".
	  For release, V_EXTRA is empty. Added NUMBER_VERSION to avoid
	  confusing sane-config and frontends that rely on numbered versions.
	* tools/sane-config.in: Use @NUMBER_VERSION@.
	* sane-backends.lsm: Made more compatible with LSM standard. Fixed
	  mostang.com directory. Added OpenBSD.
	* include/Makefile.in: Added targed "dist". Moved include targets from
	  root dir to this file. Added standard variables and .PHONY.
	* backend/Makefile.in doc/Makefile.in frontend/Makefile.in
	  japi/Makefile.in lib/Makefile.in po/Makefile.in sanei/Makefile.in
	  testsuite/Makefile.in tools/Makefile.in: Added target "dist". 
	  Fixed .PHONY.
	* Makefile.in: Added targets "dist" and "sane-backends". make dist
          creates sane-backends-x.y.z.tar.gz and make sane-backends also
          creates the appropriate sane-x-y-z.lsm. Moved distclean to include/.
          Fixed .PHONY. Made sane-backands-*.lsm look nicer.
	* doc/backend-writing.txt: Point to po/README for the I18N details.
	* doc/releases.txt: Added "make sane-backends" procedure.
	* po/Makefile.in: make now creates all the files, make install does
	  nothing but installation.
	* README: Updated. Fixed minor bugs.
	* AUTHORS: Added sanei authors.
	* doc/saned.man: Added info about data connection.
	* po/mustek.de.po: Updated German translation for the Mustek SCSI
	  backend.
	* frontend/.gdbinit: Removed unnecessary file.

2002-01-08  Stéphane Voltz  <svoltz@wanadoo.fr>

	* configure.in: added help text for --enable-parport-directio

2002-01-07  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* PROJECTS: Added link to backend for HP Scanjet 3300C / 3400C
	  and 4300C scanners. Removed umax1220u project (now included in
	  sane-backends).
	* po/Makefile.in po/README: Added basic support for translating
	  option descriptions and titles of SANE backends. This is really
	  alpha!
	* po/epson.de.po po/umax.de.po: Updated by make update-po.
	* po/mustek.de.po mustek_usb.de.po: Added German translations
	  for Mustek SCSI and USB backends. Translations for well-known
	  options are missing.
	* Makefile.in configure configure.in: Added option 
	  --enable-translations to configure. I18N support is disabled by 
	  default.
	* po/.cvsignore: New file.
	* doc/sane-mustek_usb.man doc/mustek_usb/mustek_usb.CHANGES:
	  Added info about BearPaw scanners and plustek backend.
	* backend/mustek.c backend/mustek.desc doc/sane-mustek.man
	  doc/mustek/mustek.CHANGES:
	  Small fix for Paragon 1200 Pro. Added some test code for this
	  scanner. Added Trust Imagery 1200 to man page and .desc. New
	  version: 1.0-117.
	* backend/Makefile.in backend/dll.conf backend/umax1220u-common.c
	  backend/umax1220u.c backend/umax1220u.conf backend/umax1220u.desc:
	  Added new backend umax1220u for UMAX Astra 1220U and 2000U
	  scanners (patch from Marcio Luis Teixeira 
	  <marciot@holly.colostate.edu>).
	* doc/Makefile.in doc/sane.man doc/sane-umax1220u.man: Added
	  documentation fo umax1220u backend (patch from from Marcio Luis
	  Teixeira <marciot@holly.colostate.edu>).
	* AUTHORS: Added Marcio Luis Teixeira.
	* TODO: Removed umax1220u project (now included in sane-backends).
	  Added HP Scanjet 3300C / 3400C and 4300C project. Added entry about
	  saned data port documentation. Removed saned race condition bug.
	* doc/.cvsignore: Added sane-umax1220u.5.

2002-01-06  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* configure configure.in include/sane/config.h.in: Added check
	  for inet_ntop().
	* lib/inet_ntop.c lib/Makefile.in backend/Makefile.in: Added
	  implementation of inet_ntop() for platforms withouth this
	  function based on inet_ntoa.
	* backend/saned.conf frontend/saned.c doc/saned.man: Changed access
	  control (function check host). Now IP addresses are used for
	  comparison, not host names as before. It's possible to put
	  hostnames, FQDNs and IP addresses into saned.conf. Limitations:
	  Only the first IP address in struct hostent is checked. IPv6 is
	  untested. The change is based on a patch by Petter Reinholdtsen 
	  <pere@hungry.com>.
	  Return SANE_STATUS_ACCESS_DENIED if access was not granted instead
	  of SANE_STATUS_IO_ERROR.
	  Removed isfdtype to avoid compilation problems.
	  Added more debug output. Print function name in every DBG statement.
	  Updated manual pages and saned.conf.
	* net.c: Return SANE_STATUS_ACCESS_DENIED if access was not granted
	  instead of SANE_STATUS_IO_ERROR.

2001-01-06  Karl Heinz Kremer <khk@khk.net>

	* backend/epson.c: Undefine TEST_IOCTL again, which was enabled
	  by accident. 

2002-01-06  Stéphane Voltz  <svoltz@wanadoo.fr>

	* backend/umax_pp_low.c: improved warm up and color calibration
	  of much better quality now. Manual settings now work correctly.
	  Corrected parport mode being set before being claimed.
	* backend/umax_pp.c: changed build number.
	* tools/umax_pp.c: changed version.
	  

2002-01-05 Oliver Rauch <Oliver.Rauch@rauch-domain.de>
	* backend/umax-scanner.c, umax.c, umax.conf, umax.desc, umax.h:
	  update to backend version 1.0 build 32

2002-01-05  Karl Heinz Kremer <khk@khk.net>

	* backend/epson.[ch]: Check for (and set) s->fd to -1 when 
	  scanner is closed. Removed black gamma table - only RGB
	  is used, even for grayscale scans. Do not call access()
	  when running on OS/2 or when using a parallel port scanner.

2002-01-05  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/net.c backend/net.desc: Fixed race condition between saned
	  sending NET_OPEN reply and net.c flushing the wire. New version:
	  1.0.6.
	* doc/saned.man frontend/saned.c: Changed debug handling. All debug
	  messages use DBG now. If in inetd mode or dameon mode with "-s",
	  the messages are printed to syslog as before. If option "-d" is used,
	  the mesages are printed to stderr. Updated manual page.

2002-01-04  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* sanei/sanei_wire.c: Added DBG message that warns if the read buffer
	  is going to be deleted (data loss).

2002-01-03  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* README.os2: Updated URL of Franz Bakan's web site.
	* include/sane/sanei_usb.h sanei/sanei_usb.c: Added support for USB
	  control messages (patch from Marcio Luis Teixeira
	  <marciot@holly.colostate.edu>).
	* doc/sane-usb.man: Updated concerning backends supporting sanei_usb
	  and OpenBSD. Other minor fixes.
	* include/sane/sanei_pv8630.h sanei/sanei_pv8630.h sanei/Makefile.in:
	  Added support for the PowerVision 8630 chip, a USB to parallel
	  converter used in many scanners (patch from from Marcio Luis Teixeira
	  <marciot@holly.colostate.edu>). Fixed sanei_thread Makefile.in entry.
	* TODO: Added entries about saned/net freezes and parport-directio doc.
	  Removed entries about sanei_usb control msg, sanei_pv8630 inclusion,
	  OS/2 libsocket problem, and splitting --enable-directio.

2001-12-30  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* frontend/scanimage.c: Fixed endless loop in sighandler.
	* frontend/saned.c: Fixed sigpipe race in connection with
	  select_fd. Added debug output.

2001-12-30  Gerhard Jaeger <g.jaeger@earthling.net>

	* backend/plustek_usbmap.c backend/plustek-usbimg.c
	  backend/plustek_usb.c backend/plustek_usb.h:
	  Fixed bug in lineart scaling and in brightness setting

2001-12-29  Gerhard Jaeger <g.jaeger@earthling.net>

    * backend/plustek.c backend/plustek-share.h backend/plustek.h
      backend/plustek.conf:
      Changed to support the LM983x based USB scanner
    * backend/plustek.desc: Updated, added missing, now supported devices
    * backend/plustek-usb.c backend/plustek-devs.c backend/plustek-pp.c
      backend/plustek-usbhw.c backend/plustek-usbimg.c
      backend/plustek-usbio.c backend/plustek-usbmap.c
      backend/plustek-usbscan.c backend/plustek-usbshading.c
      backend/plustek-usb.h: New files - added to support the Plustek
      USB devices (LM9831/2 based) and other devices based on this
      chipset
    * backend/Makefile.in: Changed to compile the Plustek backend
    * doc/sane-plustek.man: Added some USB information

2001-12-28  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* configure configure.in: Changed order of tests for libsocket and
	  libsyslog to avoid problems with OS/2. Small spelling and format
	  fixes.

2001-12-28  Abel Deuring <a.deuring@satzbau-gmbh.de>
	* configure.in, configure, sanei/sanei_scsi.c, umax_pp_low.c,
	  README.linux: replaced --enable-directio and ENABLE_DIRECTIO
	  with --enable-scsi-directio / --enable-parport-directio resp.
	  ENABLE_SCSI_DIRECTIO / ENABLE_PARPORT_DIRECTIO

2001-12-27  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* PROJECTS TODO: Updated info about "Relisys Scorpio Super 3 SCSI II".

2001-12-25  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* README.linux: Used "sane-find-scanner". Some minor changes.
	* config.guess config.sub: Updated from 
	  http://savannah.gnu.org/projects/config.
	* TODO: New section: "platform-specific". Added some problems with
	  *BSD. Some minor fixes and additions.
	* tools/sane-find-scanner.c: Added OpenBSD device files.
	* README.openbsd: New file. Some information on how to get SANE 
	  running on top of OpenBSD.

2001-12-22  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/mustek_usb.c backend/mustek_usb.conf backend/mustek_usb.desc
	  backend/mustek_usb_low.c backend/mustek_usb_low.h 
	  doc/sane-mustek_usb.man doc/mustek_usb/mustek_usb.CHANGES:
	  Made usb_low_read_rows more robust. Limited maximum block size and
	  added option for this. New version: 1.0-9.
	
2001-12-21  Oliver Schwartz <Oliver.Schwartz@gmx.de>

	* backend/snapscan.c    backend/snapscan.h
          Remove tmpfname var

2001-12-20  Peter Fales <peter@fales.com>

	* backend/dc25.c - Fixed a potential security problem due to a 
	  race condition involving temporary file creation.  Also did some
	  cosmetic cleanup and removed some un-needed code.

2001-12-19  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/dll.conf: Added (commented out) st400 entry.

2001-12-18  Oliver Schwartz <Oliver.Schwartz@gmx.de>

	* backend/snapscan.c    backend/snapscan.h
          Remove temporary file

2001-12-18  Ingo Wilken <Ingo.Wilken@informatik.uni-oldenburg.de>

	* backend/st400.c backend/st400.conf
	  Security fix: Dump inquiry data to $HOME/st400.dump instead
	  of /tmp/st400.dump.

2001-12-17  Oliver Schwartz <Oliver.Schwartz@gmx.de>

	* backend/snapscan-scsi.c    backend/snapscan.h
	  backend/snapscan-usb.h     backend/snapscan-usb.c
	  backend/snapscan-sources.h backend/snapscan-sources.c
	  backend/snapscan.c         backend/snapscan.desc
	  Update to snapscan-20011212 (snapscan backend 1.4.3):
          - Use sense handler for USB scanners
          - Correct color alignment for Snapscan 600
          - Fix dither matrix computation
          - Add support for Snapscan e26 and e52
          - Guard for TL_X < BR_X and TL_Y < BR_Y

2001-12-16  Peter Kirchgessner <peter@kirchgessner.net>
	* frontend/stiff.c
	  Add fillorder tag for b/w-TIFF-files
	  Include stiff.h to avoid warning "no previous prototype"

2001-12-15  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/mustek.c backend/mustek.desc doc/mustek/mustek.CHANGES:
	  Fixed a possible segfault in sane_control_option. Added more
	  debug output for SCSI commands. New version: 1.0-116.

2001-12-01  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* sanei/sanei_ab306: Removed warning: `dev_io_fd' defined but not
	  used. Variable used only by FreeBSD. Added test for FreeBSD.
	  Patch from Stephen Torri <storri@ameritech.net>.
	
2001-11-30  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* testsuite/Makefile.in testsuite/README: Added comment about
	  the need to enable pnm. Made output easier to read.

2001-11-29  Henning Meier-Geinitz <henning@meier-geinitz.de>
	
	* backend/mustek.c backend/mustek.desc doc/mustek/mustek.CHANGES: 
	  Added check for TL_X > BR_X or TL_Y > BR_Y. New version: 1.0-115.
	* TODO: Added entry about TL_X < BR_X problems and semaphores for OS/2.
	  Removed entry about BearPaw scanners.
	
2001-11-26 Abel Deuring <a.deuring@satzbau-gmbh.de>
	* backend/sharp.c: added an additional check to prevent OS/2 from
	  define "#define USE_FORK"

2001-11-24 Abel Deuring <a.deuring@satzbau-gmbh.de>
	* backend/sharp.c: removed an unconditional "#define USE_FORK"

2001-11-22  Stéphane Voltz  <svoltz@wanadoo.fr>

	* backend/umax_pp_low.c: fixed color calibration bug. Scans are
	  of much better quality now. Manual settings now work correctly.
	* tools/umax_pp.c: changed version.
	  

2001-11-22  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* config.guess config.sub: Fetched new versions from
	  http://savannah.gnu.org/projects/config.
	* mkinstalldirs: Updated for OS/2 (from "Franz Bakan" 
	  <fbakan@gmx.net>).
	* backend/mustek.c backend/mustek.desc backend/mustek.h
	  doc/mustek/mustek.CHANGES: Added OS/2 compatibility fixes
	  (from "Franz Bakan" <fbakan@gmx.net>). New version: 1.0-114.
	* sanei/sanei_scsi.c: OS/2 changes: Removed semaphore code and
	  increased MAX_DATA to 64k (from "Franz Bakan" <fbakan@gmx.net>).
	* tools/sane-config.in: Also return -ldl (necessary fo IA64?).
	* TODO: Added entry about .exe and similar file extentions.
	  Removed sane-config.in -ldl issue.

2001-11-22  Stéphane Voltz  <svoltz@wanadoo.fr>

	* backend/umax_pp_low.c: fixed build problem on non i386 linux when
	  there is no <sys/io.h>.

2001-11-21  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* TODO: Added entries about the fork/kill(-1,...) issue, the inb/outb
	  problems, config.guess and sane-config.in.
	* sanei/Makefile.in: Added sanei_thread for OS/2 portability.

2001-11-20  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* doc/scanimage.man frontend/scanimage.c: Use out%d.tif by default if
	  --format tiff was selected. Update documentation about default
	  formats. Fixed spelling mistakes.
	* AUTHORS: I think this was planned in alphabetical order...

2001-11-18  Karl Heinz Kremer <khk@khk.net>

	* backend/epson.c: Fixed Wait for Button functionality.
	  Don't call access() for par port scanners.

2001-11-18  Karl Heinz Kremer <khk@khk.net>

	* backend/epson.h: Added missing defines for USB IOCTLs

2001-11-18  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/mustek.desc doc/sane-mustek.man doc/mustek/mustek.CHANGES:
	  Added enries for Primax Compact 4800.

2001-11-15  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/mustek_usb.c backend/mustek_usb.conf backend/mustek_usb.desc
	  backend/mustek_usb.h backend/mustek_usb_high.c 
	  backend/mustek_usb_high.h backend/mustek_usb_low.c
	  backend/mustek_usb_low.h backend/mustek_usb_mid.c
	  backend/mustek_usb_mid.h doc/sane-mustek_usb.man
	  doc/mustek_usb/mustek_usb.CHANGES doc/mustek_usb/mustek_usb.TODO:
	  FreeBSD is supported to some degree now. Started 1200 USB support.
	  Documentation updates. New version: 1.0-8.

2001-11-12  Peter Fales <peter@fales.com>

	* gphoto2.c - Debug message was not getting printed because DBG_INIT
	  was not called first.

2001-11-12  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* doc/sane-scsi.man: More details and examples for the "scsi * ..."
	  directive for config files. Added information about debug level 255
	  printing (Linux) kernel debug messages. Added link to sane-usb(5).

2001-11-10  Stéphane Voltz  <svoltz@wanadoo.fr>

	* backend/umax_pp_low.c: correct PPC compile problem by removing
	  buggy extra ifdef

2001-11-11  Peter Fales <peter@fales.com>

	* gphoto2.c - Number of images was not getting updated after
	  capturing a new image

2001-11-11  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/dll.c backend/dll.desc doc/sane-dll.man: Added some debug
	  messages (e.g. if dll.conf isn't found). Some adjustments concerning
	  debug levels. Removed some compilation warnings. New version: 1.0.5.

2001-11-11 Abel Deuring <a.deuring@satzbau-gmbh.de>
	* sanei/sanei_scsi.c (Linux part): 
          - improved handling of status codes returned by the SG driver. 
          Device status INTERMEDIATE GOOD and CONDITION MET are now mapped 
          to SANE_STATUS_GOOD; device status BUSY and a few driver status 
          codes are mapped to SANE_STATUS_DEVICE_BUSY
          - On SCSI command completion, the (sometimes bogus) residual count 
          is no longer subtracted from *req->dstlen
        * backend/sharp.c: if a READ command fails with SANE_STATUS_DEVICE_BUSY,
          retry a few times.

2001-11-10  Karl Heinz Kremer <khk@khk.net>

	* backends/epson.[ch]: all strings tagged with I18N macro
	  Added support for scan button, scanner waits for button if the
	  option "wait-for-button" is activated.

2001-11-10  Stéphane Voltz  <svoltz@wanadoo.fr>

	* backend/umax_pp_low.c backend/umax_pp_low.h backend/umax_pp_mid.c
	  backend/umax_pp_mid.h backend/umax_pp.c backend/umax_pp.h:
	  use ENABLE_DIRECTIO to compile in direct I/O. Corrected the long 
	  standing scan area origin detection bug. Improved parport mode
	  negociation.

2001-11-07  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* sanei/sanei_usb.c: Fixed debug messages.

2001-11-06  Peter Fales <peter@fales.com>

	* dc240.c - fix a bug that causes the backend's internal directory
	  to get out of sync with the camera directory when a file is deleted
	* gphoto2.c - include the gphoto2 port name as part of the SANE
	  device name and improve reliability when using the gphoto2
	  serial port libs.

2001-11-04  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* configure configure.in: Enabled warnings by default.
	* sane-backends.lsm: Made more compatible with template.
	  Added myself as maintainer to avoid problems when uploading
	  to tsx-11 and sunsite in future.

******  Release of sane-backends 1.0.6. End of code freeze ******

2001-11-04  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* sane-backends.lsm: Added keyword gphoto.
	
2001-10-31  Peter Fales <peter@fales.com>

	* acinclude.m4, aclocal.m4, configure - Fix build failure due to 
	  renaming of gphoto2 header files

2001-10-30  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/apple.desc: Updated URL.
	* backend/canon_pp.desc: Fixed two wrong scanner names (from
	  "Matthew Duggan" <stauff@guarana.org>).
	* backend/m3091.desc backend/m3096.desc backend/sp15c.desc:
	  Updated URL.

2001-10-29  Peter Fales <peter@fales.com>

	* backend/dc25.desc - Update URLs

2001-10-19 Oliver Rauch <Oliver.Rauch@rauch-domain.de>

	* set correct backend version number in backend/umax.desc


******    code freeze sane-1.0.6 / sane-pre1-1.0.6  *****


2001-10-29  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/microtek2.desc: Added missing scanner descriptions (from
	  karsten.festag@t-online.de (Karsten Festag)).
	* NEWS: Updated version numbers. Added release date.
	* configure configure.in: New version: 1.0.6. Disabled warnings by
	  default.

2001-10-28  Peter Fales <peter@fales.com>

	* backend/gphoto2.c, backend/gphoto2.conf: the ghoto2 people
	  made some pretty radical changes to the API and broke 
	  the gphoto2 backend.  Made the changes to allow the
	  gphoto2 backend to work with the latest changes from the
	  gphoto2 library CVS.

2001-10-28  Karl Heinz Kremer <khk@khk.net>

	* backend/epson.c: Fixed bug in recognition of faulty Perfection 1650

2001-10-28  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* TODO: Removed entry about @LIBDIR@ and @CONFIGDIR@ in man pages.
	  Added Entry about sanei_scsi return values and timeout.
	* backend/microtek2.desc backend/microtek2.h doc/sane-microtek2.man:
	  Increased version number to 0.95. Updated man page. Patch from
	  karsten.festag@t-online.de (Karsten Festag).

2001-10-27 Peter Kirchgessner <peter@kirchgessner.net>

  *backend/hp-accessor.c hp-device.c hp-handle.c hp-hpmem.c hp-option.c
           hp-scl.c:
    Use ../include/lassert.h

2001-10-17 Oliver Rauch <Oliver.Rauch@rauch-domain.de>

  * umax backend bugfixes (new version number: 1.0 build 31):
    man page uses @LIBDIR@ and @CONFIGDIR@,
    calibration fix for Supervista S-12 and compatible scanners
    directory backend:
      umax.c umax-scanner.c umax-scsidef.h
    directory doc:
      sane-umax.man /umax/sane-umax-advanced-options-doc.html
      umax/sane-umax-standard-options-doc.html umax/umax.CHANGES    

2001-10-27  Oliver Schwartz <Oliver.Schwartz@gmx.de>

  * backend/Makefile.in     backend/snapscan-usb.c
    backend/snapscan-usb.h  backend/snapscan.c
    backend/snapscan.h
    Check USB vendor ID to avoid USB hangup
    Fix dither matrix computation bug

******    snapshot 2001-10-27                        *****

2001-10-26  Oliver Schwartz <Oliver.Schwartz@gmx.de>

  * backend/snapscan.conf
    Make /dev/sga the default device to avoid USB hangup

2001-10-26  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* TODO: Removed net/saned cancel problem. Added entry about
	  clarifying sane_get_select_fd/sane_cancel in sane.tex.
	  Added entry about sanei_usb and control messages.
	* sanei/sanei_usb.c: Fixed vendor/device detection for Linux
	  versions >= 2.4.13.

2001-10-25  Oliver Schwartz <Oliver.Schwartz@gmx.de>

  * NEWS backend/snapscan.c backend/snapscan.desc
    Change snapscan backend version number to 1.4.0

2001-10-24  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/microtek2.c backend/microtek2.desc backend/microtek2.h
	  doc/sane-microtek2.man: Updated microtek2 backend to build
	  20011023 (from karsten.festag@t-online.de (Karsten Festag)).
	  Bugfix for scsi_read_image_status - supports now the old and the
	  new method. Improved backend-calibration supports brightness and
	  contrast settings and color balancing. Enable 12 bit per color
	  scanning with Scanmaker 9600XL (and other types that use the segreg
	  pixel transfer format and support 12 bit, untested). 10 bit does not
	  work yet. Make C6 USB work.

2001-10-24  Oliver Schwartz <Oliver.Schwartz@gmx.de>

  * doc/sane-snapscan.man
    Documentation update.

2001-10-23  Oliver Schwartz <Oliver.Schwartz@gmx.de>

  * backend/snapscan-scsi.c
    Limit number of scan lines for quality calibration to fit in
    SCSI buffer.

2001-10-21  Peter Kirchgessner <peter@kirchgessner.net>

  * backend/hp.desc, doc/sane-hp.man
    Add support for OfficeJet PSC 900 series

2001-10-20  Karl Heinz Kremer <khk@khk.net>

	* backend/epson.[ch]: Fix for older Perfection 1650 scanners -
	  their firmware only reports half of the vertical scanning
	  area and they need to swap two color channels.

2001-10-19  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* PROJECTS: Added Coolscan2 backend.

2001-10-15  Peter Fales <peter@fales.com>

	* backend/gphoto2.c, backend/gphoto2.h: Cosmetic cleanup

******    Feature freeze for sane-1.0.6 is active    *****
******    snapshot 2001-10-15                        *****

2001-10-15  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* TODO: Removed some entries about net/saned.
	* doc/saned.man: Clear up that a FQDN must be used in
	  saned.conf and that localhost is allways granted acces.
	* NEWS: Updated.

2001-10-14 Jochen Eisinger <jochen.eisinger@gmx.de>

	* backend/mustek_pp.conf: added comment about changes in
	  the naming of ports in 2.4.x

2001-10-13 Oliver Rauch <Oliver.Rauch@rauch-domain.de>

	* backend/umax.c, bachend/umax-scanner.c, backend/umax.desc,
	  doc/umax/sane-umax-config-doc.html, doc/umax/umax.CHANGES,
	  doc/sane-umax.man:
	  update to sane-umax-1.0 build 30:
	  - added EDGE KTX-9600US as supported scanner
	  - Changing scansource does not change lower left selection
            edge if not necessary

2001-10-12  Oliver Schwartz <Oliver.Schwartz@gmx.de>

	* backend/snapscan-scsi.c    backend/snapscan.h
	  backend/snapscan.c
	  Update to snapscan-20011012

2001-10-12  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* sanei/sanei_wire.c: Added debug output (based on patch
	  from Jochen Eisinger <jochen.eisinger@gmx.de>).
	* backend/net.c backend/net.desc: Better and more debug output
	  (based on patch from Jochen Eisinger <jochen.eisinger@gmx.de>).
	  Fixed some debug output and formatting issues of the byte order
	  patch. Increased version number to 1.0.5.
	* frontend/saned.c: More debug output. Used DBG instead of
	  fprintf/perror. Fixed some formatting issues.

2001-10-10  Jochen Eisinger <jochen.eisinger@gmx.de>

	* sanei/sanei_wire.c: replaced memcpy with memmove

2001-10-10  Jochen Eisinger <jochen.eisinger@gmx.de>

	* PROJECTS: added URL to HP ScanJet 2200c project

2001-10-10  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/m3096g-scsi.h backend/m3096g.c backend/m3096g.h
	  doc/sane-fujitsu.man: Update (from Oliver Schirrmeister
	  <oschirr@abm.de>). Added: Support for ipc2/3 and cmp2 options;
 	  support for duplex-scanners m3093DG, m4097DG; constraint checking
	  for m3093; support EVPD (virtual product data); support ADF paper
	  size spezification.
	* AUTHORS: Added Oliver Schirrmeister for m3096g, removed the active
	  sign (*) from Randolph Bentson.

2001-10-09  Peter Fales <peter@fales.com>

	* backend/dc210.c, backend/dc210.h: Fix compiler warnings

2001-10-09  Oliver Schwartz <Oliver.Schwartz@gmx.de>

	* backend/snapscan-scsi.c    backend/snapscan-usb.c
	  backend/snapscan.c
	  Fix compiler warnings

2001-10-09  Peter Fales <peter@fales.com>

	* backend/gphoto2.desc: Yet another try at getting a format that
	  generates the right web page.

2001-10-09  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/ibm.desc: Removed old entry.
	* backend/sm3600.desc: Changed status to :alpha.
	* doc/sane-agfafocus.man: Fixed some small mistakes.
	* doc/sane-apple.man: Fixed some small mistakes. Added link
	  to mostang.com mailing list archive.
	* doc/sane-artec.man: Fixed spelling mistake and formatting issues.
	* doc/sane-nec.man: Fixed problem with table.
	* doc/sane-sharp.man: Fixed problem with table.
	* backend/sharp.desc: Added link to sane-sharp manual page.
	* doc/sane_mustek_pp.man: Removed link to sane-musteka4s2 (doesn't
	  exist).
	* doc/sane-abaton.man doc/sane-agfafocus.man doc/sane-apple.man
	  doc/sane-bh.man doc/sane-microtek.man doc/sane-pint.man
	  doc/sane-st400.man: Added link to mostang.com mailing list page.
	* backend/net.c backend/net.desc: Fixed byte order problems for 16
	  bits per color image data (from mh <crapsite@gmx.net>).
	* TODO: Removed entries about .desc files, man pages and net.c
	  byte-order problem.

2001-10-09  Oliver Schwartz <Oliver.Schwartz@gmx.de>

	* backend/snapscan-scsi.c    backend/snapscan-sources.c
	  backend/snapscan-sources.h backend/snapscan-usb.c
	  backend/snapscan-usb.h     backend/snapscan.c
	  backend/snapscan.conf      backend/snapscan.desc
	  backend/snapscan.h
	  Update to snapscan-20011008

2001-10-08  Peter Fales <peter@fales.com>

	* backend/gphoto2.desc: Another try at getting a format that
	  generates the right web page.

2001-10-08  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/ibm.desc: New file. Backend for the IBM 2456 and the
	  Ricoh IS-410.
	* PROJECTS: Added IBM backend. Removed gphoto2 (now included in
	  distribution).

2001-10-07  Peter Fales <peter@fales.com>

	* backend/gphoto2.desc: Cleaned up syntax errors
	  doc/sane.man:  Added gphoto2 backend to digital camera section
	  AUTHORS:  Added gphoto2 backend/author

2001-10-07  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/mustek_usb.c backend/mustek_usb.conf backend/mustek_usb.desc
	  backend/mustek_usb_high.c backend/mustek_usb_high.h
	  backend/mustek_usb_low.c backend/mustek_usb_low.h
	  backend/mustek_usb_mid.c backend/mustek_usb_mid.h
	  doc/mustek_usb/mustek_usb.CHANGES: Fixed problem with 1200UB
	  sensor detection. Started work on 1200 USB. New version:
	  1.0-7.

2001-10-07 Oliver Rauch <Oliver.Rauch@rauch-domain.de>

        * created directory "po"
          added files po/epson.de.po and po/umax.de.po

          we have to define how we will handle (include+install)
          translations, in the moments the files are only added
          to the directory structure without any function


2001-10-06  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/canon_pp.desc: New file (from Matthew Duggan
	  <stauff@guarana.org>.

2001-10-05  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* TODO: Removed entries about hp and plustek backends.
	* backend/microtek2.c backend/microtek2.h doc/sane-microtek2.man:
	  Updated Microtek2 backend to version 0.9 build 20010828 (from
	  Karsten Festag <karsten.festag@t-online.de>).
	* NEWS: Updated.

2001-10-04  Peter Kirchgessner <peter@kirchgessner.net>

        * backend/hp-accessor.c hp-device.c hp-handle.c hp-hpmem.c
                  hp-option.c  hp-scl.c
            Use include "../include/assert.h"
          doc/sane-hp.man
            Tell about subscribing to sane-devel

2001-10-03  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* README.hp-ux: Lots of new and updated information (from
	  Michael Piotrowski <mxp@dynalabs.de>).

2001-10-02  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/dll.c backend/dll.desc: HP/UX uses .sl for shared libs.
	  Changed status to "stable". Increased version number.
	* tools/sane-find-scanner.c: Check for __hpux instead of __hpux__.

2001-10-01  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* TODO: Added possible saned problem with (not) fully qualified
	  domain names.

2001-09-29  Peter Fales <peter@fales.com>

	* backend/gphoto2.c, backend/gphoto2.h, backend/gphoto2.desc:
	  Cosmetic cleanup and minor fixes.  Added list of gphoto2
	  supported cameras to gphoto2.desc, even though most of them
	  are not tested and probably not working yet.

2001-09-24  Peter Fales <peter@fales.com>

	* backend/gphoto2.c, backend/gphoto2.h, backend/gphoto2.conf:
	  Cosmetic cleanup and changes to reflect changes to the gphoto2
	  API.

2001-09-23  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* TODO: Added SCSI problem with Linux/Sparc.

2001-09-21  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* sanei/sanei_scsi.c: Fixed detection of SCSI devices that return
	  device strings (vendor, product) consisting of spaces.
	  sanei_scsi_req_enter2 was changed to copy the CDB and data before
	  sending it to the device. Both patches are from Abel Deuring.
	* sanei/sanei_config2.c: Removed some remainings of the USB merge.

2001-09-18  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/umax1220u.desc: New file (from Marcio Luis Teixeira
	  <marciot@holly.colostate.edu>).
	* PROJECTS: Updated Winsane address.
	* TODO: Added net/saned and .desc file entries. Removed scanimage/adf
	  extention entry.
	* backend/pnm.c backend/pnm.desc: Make sure that *length=0 in 
	  sane_read(). Added more debug output.
	
2001-09-18  Stéphane Voltz  <svoltz@wanadoo.fr>

	* backend/umax_pp_low.c backend/umax_pp.desc:
	  corrected compile problem when no ppdev available,
	  changed status from :new to :beta.

2001-09-17  Peter Fales <peter@fales.com>

	* backend/gphoto2.c:  Converted from test code using pipes to
	  the command line program to using the camera API.  Currently
	  only supportes cameras that natively generate jpeg files.

2001-09-17  Tom Martone <tom@martoneconsulting.com>
        * backend/bh.desc
          changed status from :new to :beta

2001-09-17  Simon Munton <simon@munton.demon.co.uk>
	* backend/pie.c backend/pie.conf: Changed ADLIB to AdLib as this is
	  what the scanner returns and the comparison is case sensitive
	
	* doc/sane-pie.man: Update the status of the AdLib JetScan 630

2001-09-17  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* PROJECTS: Removed (very) old entries. Removed backends which
	  are included in the distribution now. Updated bearpaw and OS/2
	  entries.
	* NEWS: Created preliminary entry for 1.0.6.
	  
2001-09-16  Peter Fales <peter@fales.com>

	* backend/dc240.desc:  Change status from new to alpha

	  acinclude.m4, aclocal.m4, configure:  Cosmetic changes to 
	  help text and change function used in gphoto2 lib check due
	  to API change

2001-09-16  Stéphane Voltz  <svoltz@wanadoo.fr>

	* backend/umax_pp_low.c backend/umax_pp_mid.c
	  tools/umax_pp.c:
	  change ppdev support to compile and run on linux kernel 
	  prior to 2.4.5

2001-09-13  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/mustek_usb.c backend/mustek_usb.desc
	  backend/mustek_usb_high.c backend/mustek_usb_high.h
	  backend/mustek_usb_mid.c backend/mustek_usb_mid.h
	  doc/sane-mustek_usb.man doc/mustek_usb/mustek_usb.CHANGES
	  doc/mustek_usb/mustek_usb.TODO: Update to mustek_usb backend
	  1.0-6. Increased resolution to the maximum hardware supports.
	  No fixed resolution any more. Gamma table support. Bugfixes.
	
2001-09-12  Peter Fales <peter@fales.com>

	* acinclude.m4 aclocal.m4 configure configure.in: Changes to
	  start using gphoto2 libraries in gphoto2 backend

	  backend/gphoto2.c backend/gphoto2.h: Use gphoto2 headers and
          library functions for list management

2001-09-12  Peter Fales <peter@fales.com>

	* backend/doc/.cvsignore:  Added gphoto2 man page to .cvsignore

2001-09-11  Peter Fales <peter@fales.com>

	* backend/doc/Makefile.in:  Added man page for gphoto2 backend

2001-09-11  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/Makefile.in: Added mustek_usb again.

2001-09-10  Peter Fales <peter@fales.com>

	* backend/gphoto2.c, backend/Makefile.in, configure.in, configure,
	  acinclude.m4, aclocal.m4: Add gphoto2 backend to Makefiles.
	  It's disable if the gphoto2 program is not present.

2001-09-10  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/mustek.c backend/mustek.desc doc/mustek/mustek.CHANGES:
	  Fixed problem with gamma correction. New version: 1.0-113.
	* backend/mustek_usb.c backend/mustek_usb.desc 
	  backend/mustek_usb_high.c backend/mustek_usb_low.c
	  backend/mustek_usb_low.h backend/mustek_usb_mid.c
	  backend/mustek_usb_mid.h doc/mustek_usb/mustek_usb.CHANGES:
	  200 dpi support for 600 CU. Some internal reorganizations.
	  New version: 1.0-5.

2001-09-09  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/mustek_usb.c backend/mustek_usb.conf
	  backend/mustek_usb.desc backend/mustek_usb.h
	  backend/mustek_usb_high.c backend/mustek_usb_high.h
	  backend/mustek_usb_low.c backend/mustek_usb_low.h
 	  backend/mustek_usb_mid.c backend/mustek_usb_mid.h:
	  Added backend mustek_usb for Mustek USB scanners. Currently the 
	  600 CU, 1200 CU, 1200 CU Plus and 1200 UB are supported.
	* backend/Makefile.in dll.conf: Added entries for mustek_usb.
	* doc/Makefile.in doc/mustek_usb/mustek_usb.CHANGES
	  doc/mustek_usb/mustek_usb.TODO doc/sane-mustek_usb.man:
	  Added mustek_usb documentation.
	* doc/sane.man: Updated concerning mustek_usb.
	* PROJECTS TODO: Updated concerning mustek_usb.
	* doc/.cvsignore: Added sane-mustek_usb.5.
	* AUTHORS: Added mustek_usb authors.
	* backend/pnm.c: Fixed SANE-standard compliancy bug in sane_read:
	  length must be set to 0 if status != SANE_STATUS_GOOD.

2001-09-08 Oliver Rauch <Oliver.Rauch@rauch-domain.de>

	* added information for device filesystem permissions
	  in doc/sane-scsi.man

2001-09-06  Peter Fales <peter@fales.com>

	* backend/gphoto2.c, backend/gphoto2.h, backend/gphoto2.conf,
	  backend/gphoto2.desc, doc/sane-gphoto2.man:  Initial files
	  for gphoto2 backend (interface to cameras supported by the
	  gphoto2 commands/libraries).  Makefile changes coming soon.

2001-09-06  Stéphane Voltz  <svoltz@wanadoo.fr>

	* backend/umax_pp_low.c: made CmdSetDataBuffer static
	* backend/Makefile.in: removed sanei_config2 from 
	  umax_pp depencies
	  
2001-09-05  Jochen Eisinger <jochen.eisinger@gmx.de>

        * backend/net.c: ignoring size of parameter value for
          SANE_ACTION_SET_AUTO (as described in the SANE standard)

2001-09-05  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* sanei/sanei_ab306.c: Added FreeBSD support.
	* include/sane/sanei_usb.h sanei/sanei_config2.c sanei/sanei_usb.c:
	  Moved the function to check the "usb VENDOR PRODUCT" config
	  lines to sanei_usb to avoid linking problems.
	* backend/Makefile.in: Fixed spelling mistakes concerning st400.
	* Makefile.in: make libcheck now also prints the name(s) of the
	  `illegal' functions.

2001-09-04  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* PROJECTS: Added m3096g updates and website. Added 600CU to list
	  of supported Mustek USB scanners.

2001-09-04  Jochen Eisinger <jochen.eisinger@gmx.de>

	* backend/net.desc doc/saned.man doc/sane-net.man: added
	  pointer to new saned homepage 
	  (http://home.nexgo.de/jochen.eisinger/saned/)

2001-09-04  Peter Kirchgessner <peter@kirchgessner.net>

        * backend/hp-device.[hc] hp-handle.c hp-scl.[hc]
            hp-option.[hc] hp.[hc] hp.desc
          doc/sane-hp.man:
          Add support for active XPA
          Check if paper in ADF for ADF scan
          Add option lamp off
          Remove some really unused parameters

2001-09-04  Peter Fales <peter@fales.com>

	* backend/PROJECTS:  Added gphoto2 project to provide support
	  for some or all of the cameras supported by gphoto2.  (See
	  http://www.gphoto.org)

2001-09-03  Stéphane Voltz  <svoltz@wanadoo.fr>

	* backend/umax_pp_low.c backend/umax_pp_mid.c
	  backend/umax_pp_mid.h backend/umax_pp.c tools/umax_pp.c:
	  Make use of ppdev char device when available, so that
	  the backend does not require root priviledges anymore.

2001-08-30  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/Makefile.in: Added sanei_usb dependency.

2001-08-26  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/dll.c doc/sane.man frontend/scanimage.c sanei/sanei_usb.c
	  tools/sane-find-scanner.c : Fixed minor bugs in debug output and
	  documentation.
	* backend/mustek.c backend/mustek.desc doc/sane-mustek.man
	  doc/mustek/mustek.CHANGES: Update to backend version 1.0-112.
	  Some minor fixes for returning the scan slider and OS/2.
	  
2001-08-26 Oliver Rauch <Oliver.Rauch@rauch-domain.de>

	* backend/umax.c backend/umax.desc doc/umax/umax.CHANGES:
          umax scsi backend update to version 1.0 build 29

2001-08-19  Stéphane Voltz  <svoltz@wanadoo.fr>

	* backend/umax_pp_low.c tools/umax_pp.c:
	  Finished probe code cleaning, increased version number
	  
2001-08-16  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* configure configure.in: Fixed bug concerning libusb that
	  broke compilation on NetBSD.
	* doc/sane-find-scanner.man doc/sane-usb.man sanei/sanei_usb.c
	  tools/sane-find-scanner.c: Added (limited) support for FreeBSD.

2001-08-11  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* include/sane/sanei_thread.h sanei/sanei_thread.c: Updated
	  sanei_thread functions (from Yuri Dario) and made clear that
	  they shouldn't be used directly.
	* include/sane/sanei_usb.h sanei/Makefile.in sanei/sanei_usb.c
	  doc/Makefile.in doc/sane-usb.man: Added sane USB interface.
	* include/sane/sanei_config.h sanei/sanei_config2.c: Added support
	  for searching USB devices ("usb vendor product").
	* doc/sane-find-scanner.man tools/Makefile.in 
	  tools/sane-find-scanner.c: Added USB support.
	* doc/sane.man: Added information for USB scanners.
	* TODO: Removed USB entries. Removed entry about checking for
	  /etc/ld.so.conf, this shouldn't be necessary any longer. Removed
	  entry about saned freezing, no bug reports about this for a long
	  time. Removed entry about moving .desc files, this doesn't seem to
	  be necessary. Added proposal to include libieeee1284. 
	* doc/.cvsignore: Updated concerning sane-usb.5.
	
2001-08-05  Peter Fales <peter@fales.com>

	* backend/dc240.c - Previously, the backend always assumed that
          the images were stored in the 100DC240 directory in the
	  camera.  It now determines the directory automatically.  If
          multiple directories are present, it will eventually let you 
	  pick the directory, but that feature hasn't been completed
	  yet.

2001-08-05  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/mustek_usb.desc: New file. This backend supports
	  the Mustek 1200UB, 1200CU and 1200CU Plus.

	* PROJECTS TODO: Updated concerning mustek_usb backend.

2001-08-01  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* PROJECTS TODO: Added UMAX Astra 1220U backend.

2001-08-01  Stéphane Voltz  <svoltz@wanadoo.fr>

	* doc/sane-umax_pp.man backend/umax_pp_low.c:
	  One more step toward cleaner scanner probing. Added
	  message about EPP mode not being available. Slight man
	  update to emphasize EPP mode setting.

2001-07-24  Stéphane Voltz  <svoltz@wanadoo.fr>

	* backend/umax_pp.c backend/umax_pp_low.c:
	  Fixed higlight parsing bug in conf file. Fixed 'greenish'
	  looking scans bug. Started probe sequence rewrite/cleanup.

2001-07-18  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* sanei/sanei_init_debug.c: Use syslog.h instead of sys/syslog.h.

2001-07-18  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/mustek.c backend/mustek.desc doc/mustek/mustek.CHANGES:
	  Call stop_scan only when scan was cancelled. Some more debug
	  messages. New version: 1.0-111.

2001-07-11  Peter Fales <peter@fales.com>

	* backend/dc240.c - Using scanimage with the "thumbnails" option
	  and attempting to connect to a powered off camera was causing
	  a core dump.

2001-07-11  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/mustek.c backend/mustek.desc backend/mustek.h
	  doc/mustek/mustek.CHANGES: Fixed bug in fix_line_distance_block 
	  that resulted in too much data transfered to the frontend.
	  New version: 1.0-110.
	
2001-07-09  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* backend/mustek.c backend/mustek.conf backend/mustek.desc
	  backend/mustek.h doc/sane-mustek.man doc/mustek/mustek.CHANGES:
	  Fixed problem with SCSI command queuing. Fixed problem that
	  resulted in black images on some Paragon 6000SP scanners. Added
	  option to disable backtracking. New version: 1.0-109.
	
2001-07-07  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* doc/Makefile.in: Use 6 lines as top/bottom margin for man2html
	  to avoid losing 2 lines at every page break.
	* backend/mustek.c backend/mustek.conf backend/mustek.desc
	  doc/sane-mustek.man doc/mustek/mustek.CHANGES: Added option
	  for disabling double-buffering. Updated man page. New version:
	  1.0-108.

2001-07-02  Henning Meier-Geinitz <henning@meier-geinitz.de>

	* configure configure.in: Enabled warnings by default.

Older entries can be found in ChangeLog-1.0.5.
